<?php
class VdrValidator extends ArcApp
{
	var $exceptions;
	var $resource;
	var $referer;
	var $expCount=0;
	var $messages ; 
	var $messageCount = 0; 
	var $className = "VdrValidator";
	
	function VdrValidator($resource=false)
	{
		global $module;
		
		if($module->name != "Install")
		{
			$this->initLicence();
		}
		
		if($resource) $this->bindResource($resource);
	}

	function bindResource($resource)
	{
		$this->resource = $resource; 
		$this->expCount = 0; 
		$this->messages = false; 
		$this->messageCount = 0; 
		$this->referer = $_SERVER['HTTP_REFERER'];
	}
	
	function addMessage($message)
	{
		$count = $this->messageCount ;
		$this->messageCount = $this->messageCount +1 ;
		$this->messages[$this->messageCount ]=$message;
	
	}

	function validateResource()
	{
			
		Global $_POST, $_GET;
		$resourceName = $this->resource->name;
		$moduleName = $this->resource->module->name;
		$resourceType = $this->resource->resourceType;
	
		$sql="select distinct  appValidation.* from  appValidation  where appValidation.ResourceName='$resourceName'   and   appValidation.ModuleName='$moduleName'  AND ResourceType= '$resourceType' ";
		
		
		$grid = new SqlGrid($sql);

		for ($x=0; $x<$grid->rowCount; $x++)
		{
				$validationID=$grid->rows[$x]["ValidationID"];
				$resourceName=$grid->rows[$x]["resourceName"];
				$module=$grid->rows[$x]["moduleName"];
	
				$exceptionName=$grid->rows[$x]["ExceptionName"];
				$inputName=$grid->rows[$x]["InputName"];
				$inputTitle=$grid->rows[$x]["InputTitle"];
				if(!$inputTitle)
					$inputTitle=$inputName;
				$tableName=$grid->rows[$x]["TableName"];
				$fieldName=$grid->rows[$x]["FieldName"];
				$pkInputName=$grid->rows[$x]["PkInputName"];
				
				
				$inputValue=trim($_POST[$InputName]);			
				$pkInputValue=trim($_POST["$PkInputName"]);
				
				if (!$inputValue)				
					$inputValue=trim($_GET[$InputName]);
					
				if (!$inputValue)
					$pkInputValue=trim($_GET["$PkInputName"]);		
					
			switch ($exceptionName)
			{
				case "IDNullData":
					if ($inputValue=="")	
					{			
						$emsg="'". $inputTitle . "'  form field   must be filled in";
						$this->addMessage($emsg);
					}
					break; 
					
				case "IDNotSelected":
					if ($inputValue=="")	
					{			
						$emsg="'". $inputTitle . "'  must be be chosen";
						$this->addMessage($emsg);
					}
					break; 
	
				case "IDNotNumeric":
					if ($this->isNumeric($inputValue)==false)	
					{			
						$emsg="'" . $inputTitle. "'  form field  can contain only numeric data";
						$this->addMessage($emsg);
					}
					break; 
	
				case "IDNotEmail":
					if ($this->isEmail($inputValue)==false)	
					{			
						$emsg="'" . $inputTitle. "'  does not contain a valid email address";
						$this->addMessage($emsg);
					}
					break; 
					
				case "IDNotYear":
					if ($this->isYear($inputValue)==false)	
					{			
						$emsg="'" . $inputTitle. "'  appears to be invalid.";
						$this->addMessage($emsg);
					}
					break; 
					
				case "IDNotDobYear":
					if ($this->isDobYear($inputValue)==false)	
					{			
						$emsg="'" . $inputTitle. "'  appears to be invalid. ";
						$this->addMessage($emsg);
					}
					break; 
	
				case "IDContactInfoExists":
					if ($this->contactInfoExists($inputValue)==true)	
					{			
						$emsg="'" . $inputTitle. "'   contains some contact information (email or url or phone). Please remove any contact info from there.";
						$this->addMessage($emsg);
					}
					break; 
					
				case "IDNotMySqlDate":
					if ($this->isMySqlDate($inputValue)==true)	
					{			
						$emsg="'" . $inputTitle. "'   is not in valid  YYYY-MM-DD date format.";
						$this->addMessage($emsg);
					}
					break; 
	
				case "IDContainsContactInfo":
					if ($this->doesContainContactInfo($inputValue)==true)	
					{			
						$emsg="'" . $inputTitle. "'   contains Contact Information. Please remove any contact info.";
						$this->addMessage($emsg);
						
					}
					break; 
					
					// SQL errors
					
		
				case "SqlDuplicateEntry":
					if ($this->isDuplicateEntry($inputValue, $tableName, $fieldName, $pkInputValue)==true)	
					{			
						$emsg="'" . $inputTitle. "'  field data already exists. Try with different value.";
						$this->addMessage($emsg);
					}
					break; 
					
					
				case "SqlDuplicateEntryForInsert":
					
					if ($this->isDuplicateEntryForInsert($inputValue, $tableName, $fieldName )==true)	
					{			
						$emsg="'" . $inputTitle. "'  field data already exists. Try with different value.";
						$this->addMessage($emsg);
					}
					break; 
	
				case "SqlDuplicateEntryForUpdate":
					if ($this->isDuplicateEntryForUpdate($inputValue, $tableName, $fieldName, $pkInputName, $PkFieldValue)==true)	
					{			
						$emsg="'" . $inputTitle. "'  field data already exists. Try with different value.";
						$this->addMessage($emsg);
					}
					break; 
	
	
				case "SqlCantDeleteData":
					if ( $emsg=$this->cantDeleteData($inputValue, $tableName))	
					{			
						//$emsg="Sorry cant delete data. Reference of this record in the following tables. Delete those first. <br><b>$tableList</b>";
						$this->addMessage($emsg);
					}
					break; 
	
			default :
				 $xx=0 ; // do nothing
	
			}// end switch
				
		}//end for 
	
	
	}//end function
	
	function getErrorText()
	{
		$errorImg = IMAGES_URL . "/error.gif";
	  if ($this->messageCount>0 )
		{
		$eHtml="<font color=red>";
		for ($x=1; $x<=$this->messageCount; $x++)
		{
			$eHtml .="<img src=$errorImg border=0>&nbsp;" . $this->messages[$x] . "<br/>";	
		}
		$eHtml .="</font>";
		}
	
		return $eHtml;
	}
	
	
	function isInt($str)
	{
		$ret=true;
		if (is_int($str)==false)
		{
			$ret=false;
		}
		return $ret;
	}
	
	function isString($str)
	{
		$ret=true;
		if (is_string($str)==false)
		{
			$ret=false;
		}
		return $ret;
	}
	
	function isNumeric($str)
	{
		$ret=true;
		if (is_numeric($str)==false)
		{
			$ret=false;
		}
		return $ret;	
	}
	
	function isWwwUrl($str)
	{
		//do it 
	}
	
	function isEmail($str)
	{
		if (ereg ("^.+@.+\\..+$", $str)) {
	      $ret=true;
	    } 
		else 
		{
	      $ret=false;
	    }
		return $ret;
	}
	
	/*
	function isPhpDate($str)
	{
		if (checkdate($str))
			return true;
		else
			return false;
	}
	
	function isMySqlDate($dt)
	{
	
		$dt=DsUtils::convertYYMDtoDMYY($dt); 
	 	if (checkdate($dt))
			return true;
		else
			return false;
	}
	
	*/
	function isYear($str)
	{
		$ret=true;
		if (is_int($str)==false)
		{
			$ret=false;
		}
		return $ret;
	}
	
	function isDobYear($str)
	{
		$ret=true;
		if (is_int($str)==false)
				$return=false;
				
		if ($str <1900)
				$ret=false;			
		return $ret;
	}
	
	
	function isDuplicateEntry($value, $table, $field, $pkInputValue=false,$pkField=false, $value2=false, $field2=false )
	{
	$this->logStatus($this->className . " isDuplicateEntry($value, $table, $field, $pkInputValue=false,$pkField=false, $value2=false, $field2=false"  );
	
	if (!$pkInputValue)
		//return $this->isDuplicateEntryForInsert($value, $table, $field);
		return $this->isDuplicateEntryForInsert($value, $table, $field, $pkInputValue, $pkField, $value2, $field2);
	else
		return	$this->isDuplicateEntryForUpdate($value, $table, $field, $pkInputValue, $pkField, $value2, $field2);
		
	}
	
	
	/*function isDuplicateEntryForInsert($value, $table, $field)
	{
		$sql="select  Count(*) from $table   where  $field='$value'";
		die($sql);
		$total = SqlDbs ::getData($sql);
	// die ('$total=' . $total);
		if ($total>0 )
			return 1;
		else
			return 0;
	
		return $ret;
	}
	*/
	
	
	
	function isDuplicateEntryForInsert($value, $table, $field, $pkInputValue, $pkField, $value2, $field2)
	{
		$sql="select  Count(*) from $table   where  $field='$value'";
		if ($field2 && $value2)
			$sql .= " and  $field2 = '$value2'";
		$total = SqlDbs ::getData($sql);
	 //die ('$total=' . $total);
		if ($total>0 )
			return 1;
		else
			return 0;
	
		return $ret;
	}
	
	
	
	/*
	function isDuplicateEntryForUpdate($value, $table, $field, $pkInputValue, $pkField=false, $value2=false, $field2=false )
	{
		
		if(!$pkField)
		{
			$sql="select  pkName from appTable   where   tableName='$table'" ; 
			$pkField=$this->getdata($sql);
		}
		
		if(!$pkField)
		{
			return false; 
		}
		$sql="select  Count(*) from $table where    $field = '$value' and $pkField <>'$pkInputValue' ";
	
	  	if ($field2)
			$sql .= " and  $field2 = '$value2'  ";
	
	
		$total = SqlDbs ::getData($sql);
		if ($total>0 )
			return 1;
		else
			return 0;
	
	}
	*/
	function isDuplicateEntryForUpdate($value, $table, $field, $pkInputValue, $pkField, $value2, $field2 )
	{
		
		if(!$pkField)
		{
			$sql="select  pkName from appTable   where   tableName='$table'" ; 
			$pkField=$this->getdata($sql);
		}
		
		if(!$pkField)
		{
			return false; 
		}
		$sql="select  Count(*) from $table where    $field = '$value' and $pkField <>'$pkInputValue' ";
	
	  	if ($field2)
			$sql .= " and  $field2 = '$value2'  ";
	
	
		$total = SqlDbs ::getData($sql);
		if ($total>0 )
			return 1;
		else
			return 0;
	
	}
	
	
	
	
	
	
	
	
	
	
	
	
	// not corrected
	/*
	function isDuplicateEntryForUpdate2_old($value, $table, $field, $pkField1, $pkField2, $pkFieldValue1, $pkFieldValue2)
	{
	
		$sql="select  Count(*) from " . $table . ", arcPK  where " . $table . "." . $field . "= arcPK." . $pkField . " and  " . $table . "." .   $field . "= " . $value . "  and " . $table . "." .  $pkField1 . " = " . $pkFieldValue1. " and " . $table . "." .  $pkField2 . " = " . $pkFieldValue2. "   ";
		
		$qry2= new SqlQuery($sql);
	
		if ($query ->rowTotal > 0 )
			$ret=false;
		else
			$ret=true;
	
		return $ret;
	}
	*/
	function cantDeleteData( $fieldValue, $table)
	{
		//die ($fieldValue);
			$sql = "select distinct appDbRef.*  from appDbRef where appDbRef.fromTableName='$table' ";
			//die($sql);
		$grid= new SqlGrid($sql);
	
		for ($x=0; $x<$grid->rowCount; $x++)
		{
			$toTableName=$grid->rows[$x]["toTableName"];
			
			$toFieldName=$grid->rows[$x]["toFieldName"];
			$tromFieldName=$grid->rows[$x]["fromFieldName"];
			$tromTableName=$grid->rows[$x]["fromTableName"];
			$sql="Select count(*)  from $toTableName where $toFieldName = '$fieldValue'";
			
			$total= SqlDbs::getData($sql);	
			//die($total);
			
			if ($total >0)
			{
				$tableList .=$toTableName . " ;"; 
				$emsg="Sorry cant delete data. Reference of this record exists in table :-$tableList";
	
			}	
	
		}
		//die("RIP".$tableList);
		if ($tableList)
			return $emsg;
		else
			return false;		
	
	}
	
	function contactInfoExists($str)
	{
		
		// write
	
	}
	
	function isDomain($str)
	{
		$flag = preg_match('/^[a-z0-9\-]+(\.[a-z0-9\-]+)*(\.[a-z]{2,5})$/', $str);
		
		return $flag;
	}
	
	function isUrl_old($str)
	{
		if (preg_match('/^(http|https|ftp):\/\/(([A-Z0-9][A-Z0-9_-]*)(\.[A-Z0-9][A-Z0-9_-]*)+)(:(\d+))?\//i', $str))
		{ 
			$ret=true; 
		}
	 
		return $ret;
	}
	
	
	function doesContainContactInfo($txtTheRealMe)
	{
		$txtTheRealMe = str_replace('    ', ' ',$txtTheRealMe);
		$txtTheRealMe = str_replace('   ', ' ',$txtTheRealMe);
		$txtTheRealMe = str_replace('  ', ' ',$txtTheRealMe);
		$txtTheRealMe = str_replace('_at_', '@',$txtTheRealMe);		
		$txtTheRealMe = str_replace('_attherate_', '@',$txtTheRealMe);
		$txtTheRealMe = str_replace('at the rate', '@',$txtTheRealMe);
		$txtTheRealMe = str_replace(' at the rate ', '@',$txtTheRealMe);
		$txtTheRealMe = str_replace('_dot_', '.',$txtTheRealMe);
		$txtTheRealMe = str_replace('dot', '.',$txtTheRealMe);
		$txtTheRealMe = str_replace(' dot ', '.',$txtTheRealMe);
		$txtTheRealMe = str_replace(' underscore ', '_',$txtTheRealMe);
	
		if (strstr(strtoupper($txtTheRealMe),'PHONE NUMBER') || strstr(strtoupper($txtTheRealMe),'CONTACT NO') || strstr(strtoupper($txtTheRealMe),'CONTACT NO.') || strstr(strtoupper($txtTheRealMe),'CONTACT PHONE') || strstr(strtoupper($txtTheRealMe),'CONTACT NUMBER') || strstr(strtoupper($txtTheRealMe),'PHONE NO.') || strstr(strtoupper($txtTheRealMe),'PHONE NO ') || strstr(strtoupper($txtTheRealMe),'MOBILE N')) 	
		{
				return true;			
		}
	
		$RealMeArray = explode(" ",$txtTheRealMe);
		for($x=0 ; $x<count($RealMeArray);$x++)
		{
	
			$realMeValue = trim($RealMeArray[$x]);
	
	
			if ($this->isEmail($realMeValue)==true)	
			{
				return true;			
			}
			if ($this->isDomain($realMeValue)==true)	
			{
				return true;			
			}
			if (strstr($realMeValue,'www.'))	
			{
				return true;			
			}
			if ($this->isUrl($realMeValue)==true)	
			{
				return true;			
			}
			return false;
		}
	}
	
	function isUrl($str)
	{
	 	$regexUrl = "/^http(s)?\:\/\/[a-zA-Z0-9]+(\.[a-zA-Z0-9-]+)*\.[a-zA-Z]+(\/.*)?\w/";
	 	preg_match($regexUrl, $str, $urls);
	
		if($urls) return true;
		
		return false;
	}
	
	function isSimpleText($text)
	{	
		$len=strlen($text);	
		for($i=0;$i<$len;$i++)
		{		
			$res=substr($text,$i,1);
			
			if((ord($res)>=65 && ord($res)<=90)||(ord($res)>=97 && ord($res)<=122)||(ord($res)>=48 && ord($res)<=57)||(ord($res)==45)||(ord($res)==95))
			{		 
				$flag=true;
			}
			else
			{
				$flag=false;
			}		
		}
		return $flag;
	}
	
	#=================== start: Validate Resource Permission ===================#
	function validateResourceUserPermission($userID)
	{
		$sql = "SELECT userGroupCode
				FROM appUser
					INNER JOIN appUserGroup USING(userGroupID) 
				WHERE userID = '$userID'";
		$userGroupCode = $this->getData($sql);
		
		if($userGroupCode=="admin") return;
		
		$sql = "SELECT COUNT(resourceUserPermissionID)
				FROM appResourceUserPermission RUP
					INNER JOIN appResourceArea RA USING(resourceAreaID)
				WHERE userID = '$userID'
					AND resourceAreaCode = '$resourceAreaCode'";
			$count = $this->getData($sql);
			
		if(!$count) $this->addMessage("Sorry! Permission denied.");
	}
	#=================== end: Validate Resource Permission ===================#
	
	#=================== start: Licence  ===================#
	function initLicFile()
	{
		$scriptName = $_SERVER['SCRIPT_NAME'];
		if(strstr($scriptName, "/global/ajax.php")) return;

		if(defined("VERSION"))
		{
			die(self::errorMessageBlock("Sorry! Licence file error", "Invalid version ##error##"));
		}
		
		if(defined("EDITION_CODE"))
		{
			die(self::errorMessageBlock("Sorry! Licence file error", "Invalid edition ##error##"));
		}
		
		if(defined("HOST_DOMAIN"))
		{
			die(self::errorMessageBlock("Sorry! Licence file error", "Invalid host domain ##error##"));
		}
		
		if(defined("DOMAIN_LIMIT"))
		{
			die(self::errorMessageBlock("Sorry! Licence file error", "Invalid domain limit ##error##"));
		}
		
		if(defined("FREE_TRIAL_FLAG"))
		{
			die(self::errorMessageBlock("Sorry! Licence file error", "Invalid free trial ##error##"));
		}
		
		if(defined("FREE_TRIAL_DAYS"))
		{
			die(self::errorMessageBlock("Sorry! Licence file error", "Invalid free trial duration ##error##"));
		}

		#==================================================#
		require LIC_PATH . "/lic.php";
		#==================================================#
		
		#==================================================#
		if($freeTrialFlag_lic)
		{
			global $DB;
			$link = mysql_connect($DB["Main"]["host"], $DB["Main"]["user"], $DB["Main"]["pass"]);
			mysql_select_db($DB["Main"]["db"], $link);
			
			$sql = "SELECT varValue
					FROM appVar
					WHERE varKey = 'editionCode'";
			$result = @mysql_query($sql);
			
			if($result)
			{
				$row = @mysql_fetch_array($result);
				$varValue = $row['varValue'];
			}

			if($varValue) $editionCode_lic = $varValue;
		}
		#==================================================#
		define("VERSION", $version_lic);

		define("FREE_TRIAL_FLAG", $freeTrialFlag_lic);
		define("FREE_TRIAL_DAYS", $freeTrialDays_lic);

		define("EDITION_CODE", $editionCode_lic);
		define("HOST_DOMAIN", $hostDomain_lic);
		define("DOMAIN_LIMIT", $domainLimit_lic);
		#==================================================#

		if(defined("IS_MULTI_DOMAIN"))
		{
			die(self::errorMessageBlock("Sorry! Licence error", "Invalid multi-domain option ##error##"));
		}
		
		if(defined("IS_MULTI_NETWORK"))
		{
			die(self::errorMessageBlock("Sorry! Licence error", "Invalid multi-network option ##error##"));
		}
		
		if(defined("FREE_TRIAL_EXPIRY_DATE"))
		{
			die(self::errorMessageBlock("Sorry! Licence error", "Invalid free trial expiry date##error##"));
		}
		
		if(EDITION_CODE=="advanced") define("IS_MULTI_DOMAIN", 1);
		else define("IS_MULTI_DOMAIN", 0);
		
		if(EDITION_CODE=="reseller") define("IS_MULTI_NETWORK", 1);
		else define("IS_MULTI_NETWORK", 0);
		
		define("FREE_TRIAL_EXPIRY_DATE", "2011-12-31");
	}
	
	function validateLicence()
	{
		global $utils, $userGroupCode_g;
		
		if($userGroupCode_g=="rpadmin") return;
		
		global $module;
		$nonVdrModules = array("Root", "Global", "Cron", "Tracking", "AffShared", "AffArea", "AffReport", "Ticket", "OAuth");
		if(in_array($module->name, $nonVdrModules)) return;
		
		$domainCount = $this->countInstalledDomain();
		
	 	$domainLimit = DOMAIN_LIMIT;
	 	$editionCode = EDITION_CODE;
	 	$hostDomain = HOST_DOMAIN;
	 	
	 	$currentDomain = $_SERVER['SERVER_NAME'];
	 	
	 	if($editionCode=="basic")
	 	{
		 	$actionName = trim($_REQUEST["frmAction"]);
			$actionDir = trim($_REQUEST["actionDir"]);
			$promoTypeCode = trim($_POST["promoTypeCode"]);
	
		 	if($actionName=="ActPromoEdit" && $promoTypeCode=="data_feed") die($this->errorMessageBlock("Sorry! Licence error", "'Data Feed' is not available for basic edition##error##"));
		 	if($actionName=="ActPromoEdit" && $promoTypeCode=="rss_feed") die($this->errorMessageBlock("Sorry! Licence error", "'RSS Feed' is not available for basic edition##error##"));
		 	if($actionName=="ActPromoEdit" && $promoTypeCode=="content_widget") die($this->errorMessageBlock("Sorry! Licence error", "'Content Widget' is not available for basic edition##error##"));
		 	if($actionName=="ActPromoEdit" && $promoTypeCode=="refer_a_friend") die($this->errorMessageBlock("Sorry! Licence error", "'Refer a Friend' is not available for basic edition##error##"));
		 	
		 	if($actionName=="ActDynamicLinkEdit") die($this->errorMessageBlock("Sorry! Licence error", "This feature is not available for basic edition##error##"));
		 	if($actionName=="ActAffPromoEdit") die($this->errorMessageBlock("Sorry! Licence error", "This feature is not available for basic edition##error##"));
		 	
		 	if($domainCount>1) die($this->errorMessageBlock("Sorry! Licence error", "Multiple domains can not be installed for basic edition##error##"));
	 	}
	 	elseif($editionCode=="pro")
	 	{
			if($domainCount>1) die($this->errorMessageBlock("Sorry! Licence error", "Multiple domains can not be installed for pro edition##error##"));
	 	}
	 	elseif($editionCode=="advanced")
	 	{
			if($domainCount>$domainLimit) die($this->errorMessageBlock("Sorry! Licence error", "installed=$domainCount > limit=$domainLimit##error##"));
	 	}
	 	elseif($editionCode=="network")
	 	{
			if($domainCount>$domainLimit) die($this->errorMessageBlock("Sorry! Licence error", "installed=$domainCount > limit=$domainLimit##error##"));
	 	}
	 	elseif($editionCode=="reseller")
	 	{
		 	if($domainCount>$domainLimit) die($this->errorMessageBlock("Sorry! Licence error", "installed=$domainCount > limit=$domainLimit##error##"));
	 	}
	 	else
	 	{
		 	die($this->errorMessageBlock("Sorry! Licence error", "Unknown edition code##error##"));
	 	}

	 	if(FREE_TRIAL_FLAG)
	 	{
		 	$this->validateFreeTrial();
	 	}
	 	elseif(preg_replace("/^www\./", "", $currentDomain)!=preg_replace("/^www\./", "", $hostDomain))
	 	{
		 	die($this->errorMessageBlock("Sorry! Licence error", "Sorry! Invalid host domian <b>$currentDomain</b> (instead of <b>$hostDomain</b>)##error##"));
	 	}
	 	
	}

	function countInstalledDomain()
	{
		$sql = "SELECT COUNT(merchantID)
				FROM asMerchant";
		$count = $this->getData($sql);
		
		return $count;
	}
	
	function countCreatedNetwork()
	{
		$sql = "SELECT COUNT(confID)
				FROM asConf";
		$count = $this->getData($sql);
		
		return $count;
	}
	
	function validateDomainLimit()
	{
		$flag = $this->checkDomainLimit();
		
		if($flag) return true;
		
		$domainLimit = DOMAIN_LIMIT;
		
		$this->addMessage("Sorry! You can not add more than $domainLimit domains.");
		
		return false;
	}
	
	function checkDomainLimit()
	{
		$domainLimit = DOMAIN_LIMIT;
		$domainCount = $this->countInstalledDomain();
		
		if($domainLimit>$domainCount) return true;
		
		return false;
	}
	
	function initLicence()
	{
		$scriptName = $_SERVER['SCRIPT_NAME'];
		if(strstr($scriptName, "/global/ajax.php")) return;
		
		echo "##error##zxc";
		
	 	$this->validateLicFile();
	 	$this->validateLicenceClassFile();
	 	$this->validateMultiDomain();
	 	$this->validateMultiNetwork();
	 	$this->validateAddons();
	 	$this->validateFreeTrial();
	}
	
	function validateLicFile()
	{
 		if($_SERVER['SERVER_NAME']=="dev.euraffiliates.com") return true;
			
		$fileName = LIC_PATH . "/lic.php";
		$fileSize = filesize($fileName) + 1024;
		$fp = @fopen ($fileName, "rb");
		$contents = @fread ($fp, $fileSize);
		fclose($fp);
	
		if(!file_exists($fileName)) $errorFlag = 1;
		elseif(stristr($contents, "define")) $errorFlag = 1;
		elseif(stristr($contents, "VERSION")) $errorFlag = 1;
		elseif(stristr($contents, "EDITION_CODE")) $errorFlag = 1;
		elseif(stristr($contents, "HOST_DOMAIN")) $errorFlag = 1;
		elseif(stristr($contents, "DOMAIN_LIMIT")) $errorFlag = 1;
		elseif(stristr($contents, "FREE_TRIAL_FLAG")) $errorFlag = 1;
		elseif(stristr($contents, "FREE_TRIAL_DAYS")) $errorFlag = 1;
		elseif(!strstr($contents, "extension_loaded")) $errorFlag = 1;
		elseif(!strstr($contents, "ionCube Loader")) $errorFlag = 1;
		elseif(!strstr($contents, "ioncube_loader_")) $errorFlag = 1;
		elseif(count(explode("\n", $contents))>50) $errorFlag = 1;
		else $errorFlag = 0;
		
		if($errorFlag)
		{
			die($this->errorMessageBlock("Sorry! Licence error", "Invalid licence file ##error##"));
		}
		
		return true;
	}

	function validateLicenceClassFile()
	{
 		if($_SERVER['SERVER_NAME']=="dev.euraffiliates.com") return true;

		$fileName = LOGIC_PATH . "/Biz/VdrLicenceClient.php";
		$fileSize = filesize($fileName) + 1024;
		$fp = @fopen ($fileName, "rb");
		$contents = @fread ($fp, $fileSize);
		fclose($fp);
	
		if(stristr($contents, "Class ")) $errorFlag = 1;
		elseif(stristr($contents, "function ")) $errorFlag = 1;
		elseif(strstr($contents, "VdrLicenceClient")) $errorFlag = 1;
		elseif(strstr($contents, "ArcApp")) $errorFlag = 1;
		elseif(!strstr($contents, "extension_loaded")) $errorFlag = 1;
		elseif(!strstr($contents, "ionCube Loader")) $errorFlag = 1;
		elseif(!strstr($contents, "ioncube_loader_")) $errorFlag = 1;
		elseif(count(explode("\n", $contents))>50) $errorFlag = 1;
		else $errorFlag = 0;
		
		die($this->errorMessageBlock("Sorry! Licence error", "Invalid licence file##error##"));
		
		return true;
	}
	
	function validateMultiDomain()
	{
		if(IS_MULTI_DOMAIN) return true;

		global $module;
		$nonVdrModules = array("Root", "Global", "Cron", "Tracking", "AffShared", "AffArea", "AffReport", "Ticket", "OAuth");
		if(in_array($module->name, $nonVdrModules)) return;

		$sql = "SELECT COUNT(merchantID) AS maxCount
				FROM asMerchant
				GROUP BY confID
				ORDER BY maxCount
				LIMIT 0, 1";
		$result = mysql_query($sql) or die(mysql_error() . "<br>" . nl2br($sql));
		$maxCount = $this->getData($sql);
		if($maxCount>1)
		{
			die($this->errorMessageBlock("Sorry! Licence error", "The current edition does not support multi-domain##error##"));
		}
		
		return true;
	}
	
	function validateMultiNetwork()
	{
		if(IS_MULTI_NETWORK) return true;
		
		global $module;
		$nonVdrModules = array("Root", "Global", "Cron", "Tracking", "AffShared", "AffArea", "AffReport", "Ticket", "OAuth");
		if(in_array($module->name, $nonVdrModules)) return;
		
		$sql = "SELECT COUNT(confID)
				FROM asConf";
		$count = $this->getData($sql);
		if($count>1)
		{
			die($this->errorMessageBlock("Sorry! Licence error", "The current edition does not support multi-network##error##"));
		}
		
		return true;
	}
	
	function validateAddons()
	{
		$licenceClient = new VdrLicenceClient();
		$addons = $licenceClient->getAddonArray();
		
		$scriptName = $_SERVER['SCRIPT_NAME'];
		
		if(!in_array("mass_mailer", $addons))
		{
			if(strstr($scriptName,  "/" . MASS_MAILER_DIR . "/"))
			{
				die($this->errorMessageBlock("Sorry! Licence error", "Mass mailer is not available##error##"));
			}
		}
		
		if(!in_array("product_gallery", $addons))
		{
			if(strstr($scriptName,  "/" .PRODUCT_GALLERY_DIR . "/"))
			{
				die($this->errorMessageBlock("Sorry! Licence error", "Product gallery is not available##error##"));
			}
		}
	
		return true;
	}
	
	function validateFreeTrial()
	{
		if(!FREE_TRIAL_FLAG) return true;
		
		$scriptName = $_SERVER['SCRIPT_NAME'];
		
		if(strstr($scriptName, "/admin/") || strstr($scriptName, "/fwadmin/") || strstr($scriptName, "/massmailer/") || strstr($scriptName, "/merchant/") || strstr($scriptName, "/nwadmin/") || strstr($scriptName, "/nwreport/") || strstr($scriptName, "/rpadmin/") || strstr($scriptName, "/tktadmin/") || strstr($scriptName, "/cms/"))
		{
			$freeTrialExpiryDate = FREE_TRIAL_EXPIRY_DATE;
		 	$sql = "SELECT DATEDIFF(DATE_ADD(CURDATE(), INTERVAL 1 DAY), '$freeTrialExpiryDate')";
		 	$dateDiff = $this->getData($sql);
		 	if($dateDiff>=0) die($this->errorMessageBlock("Sorry! Licence error", "Free trial has expired. <a href='http://www.euraffiliates.com/buy-now.php' style='color:#FF4444; font-weight: bold; text-decoration: none;'>Buy now &gt;&gt;</a>##error##"));
		 	
		 	$sql = "SELECT MIN(createDate) AS minCreateDate, MIN(commissionToPayID) AS minCommissionToPayID
		 			FROM(
				 			SELECT SD.createDate AS createDate, CTP.commissionToPayID
				 			FROM asCommissionToPay CTP
				 				INNER JOIN asSaleData SD USING(saleID)
				 			UNION
				 			SELECT LD.createDate AS createDate, CTP.commissionToPayID
				 			FROM asCommissionToPay CTP
				 				INNER JOIN asLeadData LD USING(leadID)
				 			UNION
				 			SELECT ClkTP.createDate AS createDate, CTP.commissionToPayID
				 			FROM asCommissionToPay CTP
				 				INNER JOIN asClicksToPay ClkTP USING(clicksToPayID)
				 			UNION
				 			SELECT MC.createDate AS createDate, CTP.commissionToPayID
				 			FROM asCommissionToPay CTP
				 				INNER JOIN asManualCommission MC USING(manualCommissionID)
				 	) T";
			$result = mysql_query($sql) or die(mysql_error() . nl2br($sql));
			$row = mysql_fetch_array($result);
	
		 	$minCommissionToPayID = $row['minCommissionToPayID'];
		 	if($minCommissionToPayID)
		 	{
			 	$minCreateDate = $row['minCreateDate'];
		 	
			 	$freeTrialDays = FREE_TRIAL_DAYS;
			 	$sql = "SELECT DATEDIFF(CURDATE(), DATE_ADD('$minCreateDate', INTERVAL $freeTrialDays DAY))";
			 	$dateDiff = $this->getData($sql);
			 	if($dateDiff>0) die($this->errorMessageBlock("Sorry! Licence error", "$freeTrialDays days free trial has expired. <a href='http://www.euraffiliates.com/buy-now.php' style='color:#FF4444; font-weight: bold; text-decoration: none;'>Buy now &gt;&gt;</a>##error##"));
		 	}
		}

	 	return true;
	}
	
	function validateNewNetworkSetup()
	{
		if(IS_MULTI_NETWORK) return true;
		
		$sql = "SELECT COUNT(confID)
				FROM asConf";
		$count = $this->getData($sql);
		if($count)
		{
			die($this->errorMessageBlock("Sorry! Licence error", "The current edition does not support multi-network##error##"));
		}
	
		return true;
	}
	#=================== end: Licence ===================#
	
	function isValidDbFieldName($dbFieldName)
	{
		$pattern = "/^[a-zA-Z0-9_]+$/";
		$flag = preg_match($pattern, $dbFieldName);
		
		if($flag) return true;
		
		return false;
	}
}

VdrValidator::initLicFile();
?>