--
-- Table structure for table `appCountry`
--

CREATE TABLE IF NOT EXISTS `appCountry` (
  `countryName` varchar(50) NOT NULL default '',
  `statesComplete` varchar(5) default '0',
  `countryCode` varchar(2) NOT NULL default '',
  PRIMARY KEY  (`countryCode`),
  KEY `countryName_2` (`countryName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appCronEvent`
--

CREATE TABLE IF NOT EXISTS `appCronEvent` (
  `cronEventID` bigint(20) NOT NULL auto_increment,
  `cronEventCode` varchar(100) NOT NULL,
  `title` varchar(50) NOT NULL,
  `url` varchar(200) NOT NULL,
  `startTime` time NOT NULL,
  `hourGap` decimal(11,2) NOT NULL default '1.00',
  `weekDays` set('1','2','3','4','5','6','7') NOT NULL,
  `months` set('1','2','3','4','5','6','7','8','9','10','11','12') NOT NULL,
  `lastRun` datetime NOT NULL,
  `createDate` datetime NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`cronEventID`),
  UNIQUE KEY `cronEventCode` (`cronEventCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appCurrency`
--

CREATE TABLE IF NOT EXISTS `appCurrency` (
  `currencyCode` varchar(6) character set latin1 NOT NULL default '',
  `symbol` varchar(30) character set latin1 NOT NULL,
  `countryCode` varchar(5) character set latin1 NOT NULL default '',
  `currencyName` varchar(30) character set latin1 default NULL,
  `isActive` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`currencyCode`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appDbSession`
--

CREATE TABLE IF NOT EXISTS `appDbSession` (
  `dbSessionID` bigint(20) NOT NULL default '0',
  `sessionID` varchar(50) NOT NULL default '',
  `sessName` varchar(50) NOT NULL default '',
  `sessValue` longtext NOT NULL,
  `createDate` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`dbSessionID`),
  UNIQUE KEY `sessionID` (`sessionID`,`sessName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appLang`
--

CREATE TABLE IF NOT EXISTS `appLang` (
  `langCode` varchar(2) NOT NULL,
  `langName` varchar(50) NOT NULL,
  PRIMARY KEY  (`langCode`),
  UNIQUE KEY `langName` (`langName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appLongVar`
--

CREATE TABLE IF NOT EXISTS `appLongVar` (
  `longVarID` int(11) NOT NULL auto_increment,
  `longVarKey` varchar(100) NOT NULL,
  `title` varchar(100) NOT NULL,
  `longVarValue` text,
  `noEdit` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`longVarID`),
  UNIQUE KEY `longVarKey` (`longVarKey`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appResourceArea`
--

CREATE TABLE IF NOT EXISTS `appResourceArea` (
  `resourceAreaID` bigint(20) NOT NULL auto_increment,
  `resourceAreaCode` varchar(50) NOT NULL,
  `title` varchar(50) NOT NULL,
  PRIMARY KEY  (`resourceAreaID`),
  UNIQUE KEY `resourceAreaCode` (`resourceAreaCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appResourceAreaMenu`
--

CREATE TABLE IF NOT EXISTS `appResourceAreaMenu` (
  `resourceAreaMenuID` bigint(20) NOT NULL auto_increment,
  `resourceAreaID` bigint(20) NOT NULL,
  `menuID` bigint(20) NOT NULL,
  PRIMARY KEY  (`resourceAreaMenuID`),
  UNIQUE KEY `resourceAreaID` (`resourceAreaID`,`menuID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appResourcePermission`
--

CREATE TABLE IF NOT EXISTS `appResourcePermission` (
  `resourcePermissionID` bigint(20) NOT NULL auto_increment,
  `resourceAreaID` bigint(20) NOT NULL,
  `userGroupID` bigint(20) NOT NULL,
  PRIMARY KEY  (`resourcePermissionID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appResourceUserPermission`
--

CREATE TABLE IF NOT EXISTS `appResourceUserPermission` (
  `resourceUserPermissionID` int(11) NOT NULL auto_increment,
  `resourceAreaID` bigint(20) NOT NULL,
  `userID` bigint(20) NOT NULL,
  PRIMARY KEY  (`resourceUserPermissionID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appUnitCurrencyConverter`
--

CREATE TABLE IF NOT EXISTS `appUnitCurrencyConverter` (
  `unitCurrencyConverterID` bigint(20) NOT NULL auto_increment,
  `confID` int(11) NOT NULL,
  `currencyCode` char(3) NOT NULL default '',
  `baseCurrencyValue` double(7,5) NOT NULL default '0.00000',
  `createdMonth` varchar(7) NOT NULL default '',
  PRIMARY KEY  (`unitCurrencyConverterID`),
  UNIQUE KEY `currencyCode` (`confID`,`currencyCode`,`createdMonth`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appUser`
--

CREATE TABLE IF NOT EXISTS `appUser` (
  `userID` int(11) NOT NULL auto_increment,
  `userName` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `email` varchar(150) NOT NULL,
  `userGroupID` int(11) NOT NULL default '51',
  `firstName` varchar(100) NOT NULL,
  `lastName` varchar(60) NOT NULL,
  `address` varchar(150) default NULL,
  `countryCode` varchar(3) default NULL,
  `city` varchar(50) default NULL,
  `state` varchar(50) default NULL,
  `zip` varchar(15) default NULL,
  `phone` varchar(30) NOT NULL,
  `mobile` varchar(30) NOT NULL,
  `signature` text NOT NULL,
  `createDate` datetime NOT NULL,
  `cancelled` tinyint(1) NOT NULL default '0',
  `verified` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`userID`),
  UNIQUE KEY `userName` (`userName`),
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appUserGroup`
--

CREATE TABLE IF NOT EXISTS `appUserGroup` (
  `userGroupID` int(11) NOT NULL,
  `userGroupCode` varchar(50) NOT NULL,
  `title` varchar(50) NOT NULL,
  `loggedInUrl` varchar(100) NOT NULL,
  PRIMARY KEY  (`userGroupID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appUserLog`
--

CREATE TABLE IF NOT EXISTS `appUserLog` (
  `userLogID` bigint(20) NOT NULL auto_increment,
  `userID` bigint(20) NOT NULL,
  `action` varchar(100) NOT NULL,
  `description` text NOT NULL,
  `createDate` datetime NOT NULL,
  PRIMARY KEY  (`userLogID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appUserPref`
--

CREATE TABLE IF NOT EXISTS `appUserPref` (
  `userPrefID` bigint(20) NOT NULL auto_increment,
  `userID` bigint(20) NOT NULL,
  `defaultMerchantID` bigint(20) NOT NULL,
  `perPage` tinyint(4) NOT NULL default '10',
  `specialListLimit` tinyint(4) NOT NULL default '10',
  PRIMARY KEY  (`userPrefID`),
  UNIQUE KEY `userID` (`userID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appUserSession`
--

CREATE TABLE IF NOT EXISTS `appUserSession` (
  `userSessionID` bigint(20) NOT NULL auto_increment,
  `userCode` varchar(20) NOT NULL default '',
  `sessName` varchar(50) NOT NULL default '',
  `sessValue` varchar(60) NOT NULL default '',
  `createDate` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`userSessionID`),
  UNIQUE KEY `sessionID` (`userCode`,`sessName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `appVar`
--

CREATE TABLE IF NOT EXISTS `appVar` (
  `varID` int(11) NOT NULL auto_increment,
  `varKey` varchar(100) NOT NULL,
  `title` varchar(100) NOT NULL,
  `varValue` varchar(255) default NULL,
  `noEdit` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`varID`),
  UNIQUE KEY `varKey` (`varKey`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliate`
--

CREATE TABLE IF NOT EXISTS `asAffiliate` (
  `affiliateID` bigint(20) NOT NULL auto_increment,
  `userName` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `email` varchar(150) NOT NULL,
  `secondaryEmail` varchar(150) NOT NULL,
  `company` varchar(100) NOT NULL,
  `siteUrl` varchar(255) NOT NULL,
  `createDate` datetime NOT NULL,
  `refMerchantID` bigint(20) NOT NULL default '0',
  `parentAffiliateID` bigint(20) NOT NULL default '0',
  `parentAffiliateID2` bigint(20) NOT NULL default '0',
  `firstName` varchar(50) NOT NULL default '',
  `lastName` varchar(50) NOT NULL default '',
  `address` varchar(255) NOT NULL default '',
  `city` varchar(50) NOT NULL default '',
  `state` varchar(50) NOT NULL default '',
  `countryCode` varchar(50) NOT NULL default '',
  `zip` varchar(12) NOT NULL default '0',
  `phone` varchar(16) NOT NULL default '0',
  `mobile` varchar(16) NOT NULL default '0',
  `fax` varchar(16) NOT NULL default '0',
  `userGroupID` int(11) NOT NULL default '11',
  `chequePayableTo` varchar(80) NOT NULL default '',
  `chequeSendingAddress` varchar(100) NOT NULL,
  `payPalEmail` varchar(100) default NULL,
  `vatNumber` varchar(25) NOT NULL default '',
  `activated` tinyint(1) NOT NULL default '0',
  `approved` tinyint(1) NOT NULL default '0',
  `bankAccountInfo` varchar(255) default NULL,
  `specialCommissionFlag` tinyint(1) NOT NULL,
  `prefLangCode` char(2) NOT NULL,
  `whitelisted` tinyint(1) NOT NULL default '0',
  `internalFlag` tinyint(1) NOT NULL default '0',
  `isExternalNetwork` tinyint(1) NOT NULL,
  PRIMARY KEY  (`affiliateID`),
  UNIQUE KEY `userName` (`userName`),
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliateBill`
--

CREATE TABLE IF NOT EXISTS `asAffiliateBill` (
  `affiliateBillID` bigint(20) NOT NULL auto_increment,
  `affiliateBillGlobalID` bigint(20) NOT NULL,
  `affiliateID` bigint(20) NOT NULL default '0',
  `merchantID` bigint(20) NOT NULL default '0',
  `commission` decimal(10,2) NOT NULL default '0.00',
  `billAmount` decimal(10,2) NOT NULL default '0.00',
  `baseCurrencyBillAmount` decimal(10,2) NOT NULL,
  PRIMARY KEY  (`affiliateBillID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliateBillGlobal`
--

CREATE TABLE IF NOT EXISTS `asAffiliateBillGlobal` (
  `affiliateBillGlobalID` bigint(20) NOT NULL auto_increment,
  `affiliateID` bigint(20) NOT NULL default '0',
  `confID` bigint(20) NOT NULL,
  `billDate` date NOT NULL,
  `fromDate` date NOT NULL default '0000-00-00',
  `toDate` date NOT NULL default '0000-00-00',
  `commission` decimal(10,2) NOT NULL default '0.00',
  `taxes` decimal(10,2) NOT NULL default '0.00',
  `billAmount` decimal(10,2) NOT NULL default '0.00',
  `billStatusCode` enum('Y','P','C') NOT NULL default 'P',
  PRIMARY KEY  (`affiliateBillGlobalID`),
  UNIQUE KEY `affiliateID` (`affiliateID`,`confID`,`billDate`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliateCloseBroadcastMessage`
--

CREATE TABLE IF NOT EXISTS `asAffiliateCloseBroadcastMessage` (
  `affiliateCloseBroadcastMessageID` bigint(20) NOT NULL auto_increment,
  `broadcastMessageID` bigint(20) NOT NULL,
  `affiliateID` bigint(20) NOT NULL,
  `closeDate` datetime NOT NULL,
  PRIMARY KEY  (`affiliateCloseBroadcastMessageID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliateContentWidget`
--

CREATE TABLE IF NOT EXISTS `asAffiliateContentWidget` (
  `affliateContentWidgetID` bigint(20) NOT NULL auto_increment,
  `affiliateID` bigint(20) NOT NULL,
  `merchantPromoID` bigint(20) NOT NULL,
  `widgetName` varchar(100) NOT NULL,
  `promoLinkTypeCode` varchar(30) NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  PRIMARY KEY  (`affliateContentWidgetID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliateDomain`
--

CREATE TABLE IF NOT EXISTS `asAffiliateDomain` (
  `affiliateDomainID` bigint(20) NOT NULL auto_increment,
  `affiliateID` bigint(20) NOT NULL,
  `domainName` varchar(100) NOT NULL,
  PRIMARY KEY  (`affiliateDomainID`),
  UNIQUE KEY `domainName` (`domainName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliateFaq`
--

CREATE TABLE IF NOT EXISTS `asAffiliateFaq` (
  `affiliateFaqID` bigint(20) NOT NULL auto_increment,
  `confID` bigint(20) NOT NULL,
  `question` varchar(255) NOT NULL,
  `answer` text NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  `listingPosition` int(10) default NULL,
  PRIMARY KEY  (`affiliateFaqID`),
  UNIQUE KEY `question` (`confID`,`question`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliateGroup`
--

CREATE TABLE IF NOT EXISTS `asAffiliateGroup` (
  `affiliateGroupID` bigint(20) NOT NULL auto_increment,
  `confID` bigint(20) NOT NULL,
  `title` varchar(100) NOT NULL,
  `description` varchar(255) NOT NULL,
  `createDate` datetime NOT NULL,
  `internalFlag` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`affiliateGroupID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliatePaymentGlobal`
--

CREATE TABLE IF NOT EXISTS `asAffiliatePaymentGlobal` (
  `affiliatePaymentGlobalID` bigint(20) NOT NULL auto_increment,
  `affiliateBillGlobalID` bigint(20) NOT NULL,
  `paymentMethodCode` varchar(10) NOT NULL default '',
  `paymentStatusCode` char(1) NOT NULL default '',
  `paymentFrom` date NOT NULL default '0000-00-00',
  `paymentTo` date NOT NULL default '0000-00-00',
  `paymentDate` date NOT NULL default '0000-00-00',
  `affiliateID` bigint(20) NOT NULL default '0',
  `commission` decimal(10,2) NOT NULL default '0.00',
  `advance` decimal(10,2) NOT NULL default '0.00',
  `taxes` decimal(10,2) NOT NULL default '0.00',
  `transactionCost` decimal(10,2) NOT NULL default '0.00',
  `netAmountPaid` decimal(10,2) NOT NULL default '0.00',
  `excessPaid` decimal(10,2) NOT NULL default '0.00',
  `details` text NOT NULL,
  PRIMARY KEY  (`affiliatePaymentGlobalID`),
  UNIQUE KEY `affiliateBillGlobalID` (`affiliateBillGlobalID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliatePref`
--

CREATE TABLE IF NOT EXISTS `asAffiliatePref` (
  `affiliatePrefID` bigint(20) NOT NULL auto_increment,
  `affiliateID` bigint(20) NOT NULL,
  `paymentMethodCode` varchar(10) NOT NULL,
  `textAdWidth` int(11) NOT NULL,
  `textAdTextColor` varchar(10) NOT NULL,
  `textAdFontFamily` varchar(30) NOT NULL,
  `textAdFontSize` int(11) NOT NULL,
  `textAdBorderAndHeadingBgColor` varchar(10) NOT NULL,
  `textAdTextBgcolor` varchar(10) NOT NULL,
  `textAdHeadingColor` varchar(10) NOT NULL,
  `unsubMonthlyReport` tinyint(1) NOT NULL default '0',
  `dateLastMonthlyReportSent` date NOT NULL,
  PRIMARY KEY  (`affiliatePrefID`),
  UNIQUE KEY `affiliateID` (`affiliateID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliatePromoCssClass`
--

CREATE TABLE IF NOT EXISTS `asAffiliatePromoCssClass` (
  `affiliatePromoCssClassID` bigint(20) NOT NULL auto_increment,
  `affiliateID` bigint(20) NOT NULL,
  `merchantPromoID` bigint(20) NOT NULL,
  `affliateContentWidgetID` bigint(20) NOT NULL,
  `refTableName` varchar(50) NOT NULL,
  `refID` bigint(20) NOT NULL,
  `customDefinition` text NOT NULL,
  PRIMARY KEY  (`affiliatePromoCssClassID`),
  UNIQUE KEY `affiliateID` (`affiliateID`,`merchantPromoID`,`refTableName`,`refID`,`affliateContentWidgetID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asAffiliateSerachPreference`
--

CREATE TABLE IF NOT EXISTS `asAffiliateSerachPreference` (
  `affiliateSearchPreferenceID` bigint(20) NOT NULL auto_increment,
  `affiliateID` bigint(20) NOT NULL default '0',
  `formName` varchar(50) NOT NULL default '',
  `formFieldName` varchar(50) NOT NULL default '',
  `formFieldValue` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`affiliateSearchPreferenceID`),
  UNIQUE KEY `affiliateID` (`affiliateID`,`formName`,`formFieldName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asApiDomain`
--

CREATE TABLE IF NOT EXISTS `asApiDomain` (
  `apiDomainID` int(11) NOT NULL auto_increment,
  `confID` int(11) NOT NULL,
  `domain` varchar(100) NOT NULL,
  PRIMARY KEY  (`apiDomainID`),
  UNIQUE KEY `domain` (`confID`,`domain`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asBroadcastMessage`
--

CREATE TABLE IF NOT EXISTS `asBroadcastMessage` (
  `broadcastMessageID` bigint(20) NOT NULL auto_increment,
  `confID` bigint(20) NOT NULL,
  `title` varchar(255) NOT NULL,
  `message` longtext NOT NULL,
  `createDate` datetime NOT NULL,
  `publishDate` datetime NOT NULL,
  `closeDate` datetime NOT NULL,
  `userID` bigint(20) NOT NULL,
  `broadcastScopeCode` varchar(50) NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`broadcastMessageID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asBroadcastMessageAssignedTo`
--

CREATE TABLE IF NOT EXISTS `asBroadcastMessageAssignedTo` (
  `broadcastMessageAssignedToID` bigint(20) NOT NULL auto_increment,
  `broadcastMessageID` varchar(50) NOT NULL,
  `affiliateGroupID` bigint(20) NOT NULL,
  PRIMARY KEY  (`broadcastMessageAssignedToID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asBroadcastScope`
--

CREATE TABLE IF NOT EXISTS `asBroadcastScope` (
  `broadcastScopeCode` varchar(50) NOT NULL,
  `title` varchar(255) NOT NULL,
  `listingPosition` int(8) NOT NULL,
  PRIMARY KEY  (`broadcastScopeCode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asClick`
--

CREATE TABLE IF NOT EXISTS `asClick` (
  `clickID` bigint(20) NOT NULL auto_increment,
  `createDate` date NOT NULL default '0000-00-00',
  `userIP` varchar(20) NOT NULL default '',
  `userBrowser` varchar(150) NOT NULL default '',
  `promoUrl` varchar(150) NOT NULL default '',
  `sysTime` time NOT NULL default '00:00:00',
  `landingPage` varchar(255) NOT NULL,
  `merchantID` bigint(20) NOT NULL default '0',
  `affiliateID` bigint(20) NOT NULL default '0',
  `merchantPromoID` bigint(20) NOT NULL default '0',
  `visitorCode` varchar(100) NOT NULL,
  PRIMARY KEY  (`clickID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asClickData`
--

CREATE TABLE IF NOT EXISTS `asClickData` (
  `clickID` bigint(20) NOT NULL auto_increment,
  `createDate` date NOT NULL default '0000-00-00',
  `userIP` varchar(20) NOT NULL default '',
  `userBrowser` varchar(150) NOT NULL default '',
  `promoUrl` varchar(150) NOT NULL default '',
  `sysTime` time NOT NULL default '00:00:00',
  `landingPage` varchar(255) NOT NULL,
  `merchantID` bigint(20) NOT NULL default '0',
  `affiliateID` bigint(20) NOT NULL default '0',
  `merchantPromoID` bigint(20) NOT NULL default '0',
  `visitorCode` varchar(100) NOT NULL,
  PRIMARY KEY  (`clickID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asClicksDailyData`
--

CREATE TABLE IF NOT EXISTS `asClicksDailyData` (
  `clicksDailyID` bigint(20) NOT NULL auto_increment,
  `affiliateID` bigint(20) NOT NULL default '0',
  `merchantID` bigint(20) NOT NULL default '0',
  `createDate` date NOT NULL default '0000-00-00',
  `noOfClick` int(11) NOT NULL default '0',
  `noOfVisitor` int(11) NOT NULL,
  `merchantPromoID` bigint(20) NOT NULL default '0',
  `affiliateID_t2` bigint(20) NOT NULL default '0',
  `affiliateID_t3` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`clicksDailyID`),
  UNIQUE KEY `affiliateID` (`affiliateID`,`merchantID`,`createDate`,`merchantPromoID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asClicksToPay`
--

CREATE TABLE IF NOT EXISTS `asClicksToPay` (
  `clicksToPayID` bigint(20) NOT NULL auto_increment,
  `createDate` date NOT NULL,
  `merchantID` int(11) NOT NULL default '0',
  `affiliateID` int(11) NOT NULL default '0',
  `affiliateID_t2` bigint(20) NOT NULL,
  `affiliateID_t3` bigint(20) NOT NULL,
  `merchantPromoID` bigint(20) NOT NULL,
  `clickCount` int(11) NOT NULL,
  PRIMARY KEY  (`clicksToPayID`),
  UNIQUE KEY `createDate` (`createDate`,`merchantID`,`affiliateID`,`merchantPromoID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asCommissionRateScope`
--

CREATE TABLE IF NOT EXISTS `asCommissionRateScope` (
  `commissionRateScopeCode` varchar(30) NOT NULL default '',
  `commissionRateScopeTitle` varchar(50) NOT NULL default '',
  UNIQUE KEY `commissionRateScopeCode` (`commissionRateScopeCode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asCommissionToPay`
--

CREATE TABLE IF NOT EXISTS `asCommissionToPay` (
  `commissionToPayID` bigint(20) NOT NULL auto_increment,
  `tier1Commission` decimal(11,3) NOT NULL default '0.000',
  `tier2Commission` decimal(11,3) NOT NULL default '0.000',
  `tier3Commission` decimal(11,3) NOT NULL default '0.000',
  `saleID` bigint(20) default NULL,
  `leadID` bigint(20) default NULL,
  `clicksToPayID` bigint(20) default NULL,
  `manualCommissionID` bigint(20) default NULL,
  `approved` tinyint(1) NOT NULL default '0',
  `merchantID` bigint(20) NOT NULL,
  `affiliateID` bigint(20) NOT NULL,
  `affiliateID_t2` bigint(20) NOT NULL,
  `affiliateID_t3` bigint(20) NOT NULL,
  PRIMARY KEY  (`commissionToPayID`),
  UNIQUE KEY `saleID_2` (`saleID`),
  UNIQUE KEY `leadID` (`leadID`),
  UNIQUE KEY `clicksToPayID` (`clicksToPayID`),
  UNIQUE KEY `manualCommissionID` (`manualCommissionID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asCommissionType`
--

CREATE TABLE IF NOT EXISTS `asCommissionType` (
  `commissionTypeCode` varchar(10) NOT NULL default '0',
  `commissionTypeTitle` varchar(10) NOT NULL default '',
  `listingPosition` tinyint(4) NOT NULL,
  UNIQUE KEY `commissionTypeCode` (`commissionTypeCode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asConf`
--

CREATE TABLE IF NOT EXISTS `asConf` (
  `confID` int(11) NOT NULL auto_increment,
  `mainMerchantID` bigint(20) NOT NULL,
  `masterCurrencyCode` varchar(3) NOT NULL,
  `billingDay` tinyint(4) NOT NULL default '5',
  `networkName` varchar(100) NOT NULL,
  `userID` bigint(20) NOT NULL,
  `createDate` date NOT NULL,
  `address` text NOT NULL,
  `note` varchar(255) NOT NULL,
  `lowPayout` int(11) NOT NULL,
  `affPromoListingCode` varchar(30) NOT NULL default 'all_promos_of_selected_type',
  `affPromoListingLimit` int(11) NOT NULL default '20',
  `affRegBonusFlag` tinyint(1) NOT NULL default '0',
  `affRegBonusAmount` double(8,2) NOT NULL default '0.00',
  `affPagingLimit` int(11) NOT NULL default '100',
  `affRegEmailVerify` tinyint(1) NOT NULL default '1',
  `affApprovalControl` tinyint(1) NOT NULL default '0',
  `affHelpKitFile` varchar(100) NOT NULL,
  `affHideSaleAmount` tinyint(1) NOT NULL default '0',
  `defaultSenderName` varchar(100) NOT NULL,
  `defaultSenderEmail` varchar(255) NOT NULL,
  `defaultSignature` text NOT NULL,
  `themeDir` varchar(20) NOT NULL default 'default',
  `autoCommissionApproveFlag` int(1) NOT NULL,
  `tktAdminEmailAlert` tinyint(1) NOT NULL default '1',
  `notifyAdminOnAffReg` tinyint(1) NOT NULL default '1',
  `setupStatus` tinyint(1) NOT NULL default '0',
  `prefLangCode` char(2) NOT NULL default 'en',
  `delayLeadTracking` tinyint(1) NOT NULL default '0',
  `nofollowFlag` tinyint(1) NOT NULL default '1',
  `emailFormat` enum('text','html') NOT NULL default 'text',
  `affRegHideCityField` tinyint(1) NOT NULL default '0',
  `affRegHideStateField` tinyint(1) NOT NULL default '0',
  `affRegHideFaxField` tinyint(1) NOT NULL default '0',
  `affRegHidePhoneField` tinyint(1) NOT NULL default '0',
  `affRegHideMobileField` tinyint(1) NOT NULL default '0',
  `affRegHidePaymentInfoFields` tinyint(1) NOT NULL default '0',
  `affRegHideSiteUrlField` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`confID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asContact`
--

CREATE TABLE IF NOT EXISTS `asContact` (
  `contactID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `firstName` varchar(100) NOT NULL,
  `lastName` varchar(100) NOT NULL,
  `email` varchar(255) NOT NULL,
  `websiteUrl` varchar(200) NOT NULL,
  `subject` varchar(200) NOT NULL,
  `message` text NOT NULL,
  `createDate` datetime NOT NULL,
  PRIMARY KEY  (`contactID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asContraCommission`
--

CREATE TABLE IF NOT EXISTS `asContraCommission` (
  `contraCommissionID` bigint(20) NOT NULL auto_increment,
  `commissionToPayID` bigint(20) NOT NULL,
  `createDate` datetime NOT NULL,
  `contraType` enum('cancel','restore') NOT NULL,
  `reason` varchar(255) NOT NULL,
  PRIMARY KEY  (`contraCommissionID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asCrmMailMessage`
--

CREATE TABLE IF NOT EXISTS `asCrmMailMessage` (
  `crmMailMessageID` bigint(20) NOT NULL auto_increment,
  `confID` bigint(20) NOT NULL,
  `createDate` datetime NOT NULL,
  `sentTo` varchar(30) NOT NULL,
  `format` varchar(10) NOT NULL,
  `fromEmail` varchar(255) NOT NULL,
  `subject` varchar(200) NOT NULL,
  `message` text NOT NULL,
  `currentStatus` varchar(10) NOT NULL,
  `total` int(20) NOT NULL,
  PRIMARY KEY  (`crmMailMessageID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asCrmMailQ`
--

CREATE TABLE IF NOT EXISTS `asCrmMailQ` (
  `crmMailQID` bigint(20) NOT NULL auto_increment,
  `crmMailMessageID` bigint(20) NOT NULL,
  `toEmail` varchar(255) NOT NULL,
  `fromEmail` varchar(255) NOT NULL,
  `format` varchar(10) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `sendDate` datetime NOT NULL,
  PRIMARY KEY  (`crmMailQID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asCssClass`
--

CREATE TABLE IF NOT EXISTS `asCssClass` (
  `cssClassID` bigint(20) NOT NULL auto_increment,
  `className` varchar(30) NOT NULL,
  `definition` varchar(255) NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`cssClassID`),
  UNIQUE KEY `className` (`className`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asCssClassNetworkDef`
--

CREATE TABLE IF NOT EXISTS `asCssClassNetworkDef` (
  `cssClassNetworkDefID` bigint(20) NOT NULL,
  `cssClassID` bigint(20) NOT NULL,
  `confID` bigint(20) NOT NULL,
  `definition` text NOT NULL,
  PRIMARY KEY  (`cssClassNetworkDefID`),
  UNIQUE KEY `cssClassID` (`cssClassID`,`confID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asDataFeedField`
--

CREATE TABLE IF NOT EXISTS `asDataFeedField` (
  `dataFeedFieldID` bigint(20) NOT NULL auto_increment,
  `fieldName` varchar(50) NOT NULL,
  `fieldDataType` varchar(50) NOT NULL,
  PRIMARY KEY  (`dataFeedFieldID`),
  UNIQUE KEY `fieldName` (`fieldName`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asLandingPage`
--

CREATE TABLE IF NOT EXISTS `asLandingPage` (
  `landingPageID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `title` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  PRIMARY KEY  (`landingPageID`),
  UNIQUE KEY `url` (`url`,`merchantID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asLead`
--

CREATE TABLE IF NOT EXISTS `asLead` (
  `leadID` bigint(20) NOT NULL auto_increment,
  `createDate` date NOT NULL default '0000-00-00',
  `userIP` varchar(20) NOT NULL default '',
  `userBrowser` varchar(150) NOT NULL default '',
  `userCountry` varchar(4) NOT NULL default '',
  `firstName` varchar(100) NOT NULL,
  `lastName` varchar(100) NOT NULL,
  `email` varchar(150) NOT NULL,
  `promoUrl` varchar(150) NOT NULL default '',
  `sysTime` time NOT NULL default '00:00:00',
  `landingPage` varchar(150) NOT NULL default '',
  `httpReferer` varchar(255) NOT NULL,
  `merchantID` bigint(20) NOT NULL default '0',
  `affiliateID` bigint(20) NOT NULL default '0',
  `affiliateID_t2` bigint(20) NOT NULL,
  `affiliateID_t3` bigint(20) NOT NULL,
  `merchantPromoID` bigint(20) NOT NULL default '0',
  `merchantProductID` bigint(20) NOT NULL,
  PRIMARY KEY  (`leadID`),
  UNIQUE KEY `email` (`email`,`merchantID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asLeadData`
--

CREATE TABLE IF NOT EXISTS `asLeadData` (
  `leadID` bigint(20) NOT NULL auto_increment,
  `createDate` date NOT NULL default '0000-00-00',
  `userIP` varchar(20) NOT NULL default '',
  `userBrowser` varchar(150) NOT NULL default '',
  `userCountry` varchar(4) NOT NULL default '',
  `firstName` varchar(100) NOT NULL,
  `lastName` varchar(100) NOT NULL,
  `email` varchar(150) NOT NULL,
  `promoUrl` varchar(150) NOT NULL default '',
  `sysTime` time NOT NULL default '00:00:00',
  `landingPage` varchar(150) NOT NULL default '',
  `httpReferer` varchar(255) NOT NULL,
  `merchantID` bigint(20) NOT NULL default '0',
  `affiliateID` bigint(20) NOT NULL default '0',
  `affiliateID_t2` bigint(20) NOT NULL,
  `affiliateID_t3` bigint(20) NOT NULL,
  `merchantPromoID` bigint(20) NOT NULL default '0',
  `merchantProductID` bigint(20) NOT NULL,
  PRIMARY KEY  (`leadID`),
  UNIQUE KEY `email` (`email`,`merchantID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asLoginHistory`
--

CREATE TABLE IF NOT EXISTS `asLoginHistory` (
  `loginHistoryID` bigint(20) NOT NULL auto_increment,
  `websiteAreaID` bigint(20) NOT NULL,
  `userName` varchar(255) NOT NULL,
  `createDate` datetime NOT NULL,
  `ip` varchar(255) NOT NULL,
  `userAgent` varchar(255) NOT NULL,
  `status` varchar(10) NOT NULL,
  PRIMARY KEY  (`loginHistoryID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMailTemplate`
--

CREATE TABLE IF NOT EXISTS `asMailTemplate` (
  `mailTemplateID` bigint(20) NOT NULL auto_increment,
  `mailTemplateCode` varchar(50) NOT NULL default '',
  `title` varchar(100) NOT NULL default '',
  `htmlContent` text NOT NULL,
  `textContent` text NOT NULL,
  `subject` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `active` tinyint(1) NOT NULL,
  `listingPosition` int(8) default NULL,
  PRIMARY KEY  (`mailTemplateID`),
  UNIQUE KEY `title` (`title`),
  UNIQUE KEY `mailTemplateCode` (`mailTemplateCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMailTemplateVar`
--

CREATE TABLE IF NOT EXISTS `asMailTemplateVar` (
  `mailTemplateVarID` bigint(20) NOT NULL auto_increment,
  `mailVarID` bigint(20) NOT NULL default '0',
  `mailTemplateID` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`mailTemplateVarID`),
  UNIQUE KEY `mailTemplateID` (`mailTemplateID`,`mailVarID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMailVar`
--

CREATE TABLE IF NOT EXISTS `asMailVar` (
  `mailVarID` bigint(20) NOT NULL auto_increment,
  `mailVarCode` varchar(55) NOT NULL,
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`mailVarID`),
  UNIQUE KEY `varCode` (`mailVarCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asManualCommission`
--

CREATE TABLE IF NOT EXISTS `asManualCommission` (
  `manualCommissionID` bigint(20) NOT NULL,
  `affiliateID` bigint(20) NOT NULL,
  `merchantID` bigint(20) NOT NULL,
  `createDate` date NOT NULL,
  `note` varchar(255) NOT NULL,
  PRIMARY KEY  (`manualCommissionID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchant`
--

CREATE TABLE IF NOT EXISTS `asMerchant` (
  `merchantID` bigint(20) NOT NULL auto_increment,
  `confID` bigint(20) NOT NULL default '0',
  `domain` varchar(255) NOT NULL,
  `websiteName` varchar(100) NOT NULL,
  `currencyCode` varchar(10) NOT NULL default '',
  `payPerClick` tinyint(1) NOT NULL default '0',
  `payPerLead` tinyint(1) NOT NULL default '0',
  `payPerSale` tinyint(1) NOT NULL default '0',
  `affiliateTierUpto` tinyint(5) NOT NULL default '0',
  `clickUnit` int(11) NOT NULL default '0',
  `commissionTypeCode` varchar(10) NOT NULL default '',
  `cookieDuration` int(10) NOT NULL default '60',
  `defaultLandingPageUrl` varchar(255) NOT NULL,
  `affOpenUrl` varchar(150) NOT NULL,
  `infoPageUrl` varchar(255) NOT NULL,
  `overWriteCookie` tinyint(1) NOT NULL default '1',
  `seoFriendlyFlag` tinyint(1) NOT NULL default '0',
  `deepLinkFlag` tinyint(1) NOT NULL default '0',
  `naturalLinkFlag` tinyint(1) NOT NULL default '0',
  `affiliateDefinedPromoFlag` tinyint(1) NOT NULL default '1',
  `urlIncludeType` varchar(20) NOT NULL,
  `deleteCookieAfterSale` tinyint(1) NOT NULL,
  `setupStatus` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`merchantID`),
  UNIQUE KEY `merchantID` (`merchantID`),
  UNIQUE KEY `domain` (`domain`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchantAffiliatePageContent`
--

CREATE TABLE IF NOT EXISTS `asMerchantAffiliatePageContent` (
  `affiliatePageContentID` bigint(20) NOT NULL auto_increment,
  `affiliatePageContentCode` varchar(100) NOT NULL,
  `title` varchar(100) NOT NULL,
  `content` longtext NOT NULL,
  `merchantID` bigint(20) NOT NULL,
  PRIMARY KEY  (`affiliatePageContentID`),
  UNIQUE KEY `affiliatePageContentCode` (`affiliatePageContentCode`,`merchantID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchantCommissionRate`
--

CREATE TABLE IF NOT EXISTS `asMerchantCommissionRate` (
  `merchantCommissionRateID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL default '0',
  `merchantProductID` bigint(20) NOT NULL default '0',
  `commissionRateScopeCode` varchar(30) NOT NULL,
  `refID` bigint(20) NOT NULL,
  `perClickFlatTier1` decimal(10,2) NOT NULL,
  `perLeadFlatTier1` decimal(10,2) NOT NULL,
  `perSaleFlatTier1` decimal(10,2) NOT NULL,
  `perSalePctTier1` decimal(10,2) NOT NULL,
  `perClickFlatTier2` decimal(10,2) NOT NULL,
  `perLeadFlatTier2` decimal(10,2) NOT NULL,
  `perSaleFlatTier2` decimal(10,2) NOT NULL,
  `perSalePctTier2` decimal(10,2) NOT NULL,
  `perClickFlatTier3` decimal(10,2) NOT NULL,
  `perLeadFlatTier3` decimal(10,2) NOT NULL,
  `perSaleFlatTier3` decimal(10,2) NOT NULL,
  `perSalePctTier3` decimal(10,2) NOT NULL,
  `lifetimeCommissionFlag` tinyint(1) NOT NULL,
  `lifetimeCommissionPeriod` int(11) NOT NULL,
  `lifetimePerSalePctTier1` decimal(10,2) NOT NULL,
  `lifetimePerSalePctTier2` decimal(10,2) NOT NULL,
  `lifetimePerSalePctTier3` decimal(10,2) NOT NULL,
  `lifetimePerSaleFlatTier1` decimal(10,2) NOT NULL,
  `lifetimePerSaleFlatTier2` decimal(10,2) NOT NULL,
  `lifetimePerSaleFlatTier3` decimal(10,2) NOT NULL,
  PRIMARY KEY  (`merchantCommissionRateID`),
  UNIQUE KEY `merchantProductID` (`merchantProductID`,`commissionRateScopeCode`,`refID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchantCssClass`
--

CREATE TABLE IF NOT EXISTS `asMerchantCssClass` (
  `merchantCssClassID` bigint(20) NOT NULL,
  `merchantID` bigint(20) NOT NULL,
  `className` varchar(255) NOT NULL,
  `definition` longtext NOT NULL,
  `active` tinyint(1) NOT NULL default '1'
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchantFaq`
--

CREATE TABLE IF NOT EXISTS `asMerchantFaq` (
  `merchantFaqID` bigint(20) NOT NULL auto_increment,
  `question` varchar(255) NOT NULL,
  `answer` text NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  `listingPosition` int(10) default NULL,
  PRIMARY KEY  (`merchantFaqID`),
  UNIQUE KEY `question` (`question`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchantFeaturedPromo`
--

CREATE TABLE IF NOT EXISTS `asMerchantFeaturedPromo` (
  `merchantFeaturedPromoID` bigint(20) NOT NULL,
  `merchantID` bigint(20) NOT NULL,
  `affiliateGroupID` bigint(20) NOT NULL,
  `merchantPromoID` bigint(20) NOT NULL,
  `listingPosition` int(4) NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY  (`merchantFeaturedPromoID`),
  UNIQUE KEY `merchantAffiliateGroupID` (`merchantID`,`affiliateGroupID`,`merchantPromoID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchantMailTemplate`
--

CREATE TABLE IF NOT EXISTS `asMerchantMailTemplate` (
  `merchantMailTemplateID` bigint(20) NOT NULL auto_increment,
  `subject` varchar(100) NOT NULL default '',
  `content` text NOT NULL,
  `merchantID` bigint(20) NOT NULL default '0',
  `mailTemplateID` bigint(20) NOT NULL default '0',
  `senderName` varchar(60) NOT NULL default '',
  `senderEmail` varchar(150) NOT NULL default '',
  `format` varchar(4) NOT NULL default '',
  PRIMARY KEY  (`merchantMailTemplateID`),
  UNIQUE KEY `merchantMailTemplateTitle` (`subject`,`merchantID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchantPaymentMethod`
--

CREATE TABLE IF NOT EXISTS `asMerchantPaymentMethod` (
  `merchantPaymentMethodID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL default '0',
  `paymentMethodCode` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`merchantPaymentMethodID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchantProduct`
--

CREATE TABLE IF NOT EXISTS `asMerchantProduct` (
  `merchantProductID` bigint(20) NOT NULL auto_increment,
  `merchantProductCode` varchar(100) NOT NULL,
  `title` varchar(50) NOT NULL default '',
  `description` text NOT NULL,
  `commissionFor` enum('sale','lead') NOT NULL default 'sale',
  `creationDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `merchantID` bigint(20) NOT NULL default '0',
  `specialCommissionFlag` int(11) NOT NULL,
  PRIMARY KEY  (`merchantProductID`),
  UNIQUE KEY `merchantProductCode` (`merchantProductCode`,`merchantID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchantPromo`
--

CREATE TABLE IF NOT EXISTS `asMerchantPromo` (
  `merchantPromoID` bigint(20) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `promoTypeCode` varchar(20) NOT NULL default '',
  `description` text NOT NULL,
  `shortDescription` varchar(255) NOT NULL,
  `creationDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `merchantID` bigint(20) NOT NULL default '0',
  `promoGroupID` bigint(20) NOT NULL,
  `affiliateID` bigint(20) NOT NULL default '0',
  `linkUrl` varchar(150) NOT NULL default '',
  `landingPageUrl` varchar(255) NOT NULL,
  `image` varchar(100) NOT NULL,
  `bigImage` varchar(100) NOT NULL,
  `imageWidth` int(11) NOT NULL default '0',
  `imageHeight` int(11) NOT NULL default '0',
  `displayText` varchar(100) NOT NULL,
  `altText` varchar(255) NOT NULL default '',
  `fileType` varchar(50) NOT NULL,
  `isActive` tinyint(1) NOT NULL,
  PRIMARY KEY  (`merchantPromoID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asMerchantPromoDataFeedSchema`
--

CREATE TABLE IF NOT EXISTS `asMerchantPromoDataFeedSchema` (
  `merchantPromoDataFeedSchemaID` bigint(20) NOT NULL auto_increment,
  `merchantPromoID` bigint(20) NOT NULL,
  `fieldName` varchar(100) NOT NULL,
  `fieldDataType` varchar(100) NOT NULL,
  `createDate` datetime NOT NULL,
  `listingPosition` int(11) NOT NULL,
  PRIMARY KEY  (`merchantPromoDataFeedSchemaID`),
  UNIQUE KEY `merchantPromoID` (`merchantPromoID`,`fieldName`,`fieldDataType`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asNetworkAffiliate`
--

CREATE TABLE IF NOT EXISTS `asNetworkAffiliate` (
  `networkAffiliateID` bigint(20) NOT NULL auto_increment,
  `confID` bigint(20) NOT NULL,
  `affiliateID` bigint(20) NOT NULL,
  `affiliateGroupID` bigint(20) NOT NULL,
  `createDate` date NOT NULL,
  `refMerchantID` bigint(20) NOT NULL default '0',
  `paymentMethodCode` char(2) NOT NULL,
  `otherPaymentInfo` varchar(255) NOT NULL,
  `paypalMassPaymentFlag` tinyint(1) NOT NULL,
  `cancelled` tinyint(1) NOT NULL,
  `cancelledReason` varchar(255) NOT NULL,
  `cancelledDate` date NOT NULL,
  `note` varchar(255) NOT NULL,
  PRIMARY KEY  (`networkAffiliateID`),
  UNIQUE KEY `confID` (`confID`,`affiliateID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asNetworkCssClass`
--

CREATE TABLE IF NOT EXISTS `asNetworkCssClass` (
  `networkCssClassID` bigint(20) NOT NULL auto_increment,
  `confID` bigint(20) NOT NULL,
  `className` varchar(30) NOT NULL,
  `definition` varchar(255) NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`networkCssClassID`),
  UNIQUE KEY `confID` (`confID`,`className`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asNetworkOAuth`
--

CREATE TABLE IF NOT EXISTS `asNetworkOAuth` (
  `networkOAuthID` bigint(20) NOT NULL auto_increment,
  `confID` bigint(20) NOT NULL,
  `googleOAuthFlag` tinyint(1) NOT NULL default '0',
  `googleConsumerKey` varchar(255) NOT NULL,
  `googleConsumerSecret` varchar(255) NOT NULL,
  `yahooOAuthFlag` int(1) NOT NULL default '0',
  `yahooConsumerKey` varchar(255) NOT NULL,
  `yahooConsumerSecret` varchar(255) NOT NULL,
  PRIMARY KEY  (`networkOAuthID`),
  UNIQUE KEY `confID` (`confID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asNetworkPaymentMethod`
--

CREATE TABLE IF NOT EXISTS `asNetworkPaymentMethod` (
  `networkPaymentMethodID` bigint(20) NOT NULL,
  `confID` bigint(20) NOT NULL,
  `paymentMethodCode` varchar(20) NOT NULL,
  PRIMARY KEY  (`networkPaymentMethodID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asNetworkUser`
--

CREATE TABLE IF NOT EXISTS `asNetworkUser` (
  `networkUserID` bigint(20) NOT NULL auto_increment,
  `confID` bigint(20) NOT NULL,
  `userID` bigint(20) NOT NULL,
  PRIMARY KEY  (`networkUserID`),
  UNIQUE KEY `userID` (`userID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asPaymentMethod`
--

CREATE TABLE IF NOT EXISTS `asPaymentMethod` (
  `paymentMethodCode` varchar(20) NOT NULL default '',
  `paymentMethodTitle` varchar(50) NOT NULL default '',
  `description` varchar(255) NOT NULL,
  `noDelete` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`paymentMethodCode`),
  UNIQUE KEY `paymentMethodTitle` (`paymentMethodTitle`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asPromoGroup`
--

CREATE TABLE IF NOT EXISTS `asPromoGroup` (
  `promoGroupID` bigint(20) NOT NULL,
  `confID` bigint(20) NOT NULL,
  `title` varchar(100) NOT NULL,
  `description` varchar(255) NOT NULL,
  `createDate` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asPromoLinkType`
--

CREATE TABLE IF NOT EXISTS `asPromoLinkType` (
  `promoLinkTypeID` bigint(20) NOT NULL auto_increment,
  `title` varchar(100) NOT NULL,
  `promoLinkTypeCode` varchar(100) NOT NULL,
  `description` varchar(100) NOT NULL,
  PRIMARY KEY  (`promoLinkTypeID`),
  UNIQUE KEY `promoLinkTypeCode` (`promoLinkTypeCode`,`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asPromoSize`
--

CREATE TABLE IF NOT EXISTS `asPromoSize` (
  `promoSizeID` bigint(20) NOT NULL auto_increment,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  PRIMARY KEY  (`promoSizeID`),
  UNIQUE KEY `width` (`width`,`height`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asPromoType`
--

CREATE TABLE IF NOT EXISTS `asPromoType` (
  `promoTypeCode` varchar(30) NOT NULL,
  `title` varchar(50) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `listingPosition` int(11) NOT NULL,
  PRIMARY KEY  (`promoTypeCode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asRotatingPromos`
--

CREATE TABLE IF NOT EXISTS `asRotatingPromos` (
  `rotatingPromosID` bigint(20) NOT NULL auto_increment,
  `affiliateID` bigint(20) NOT NULL,
  `dimension` varchar(30) NOT NULL,
  `keyword` varchar(100) NOT NULL,
  `promoTypes` varchar(100) NOT NULL,
  `promoLinkTypeCode` varchar(30) NOT NULL,
  `title` varchar(150) NOT NULL,
  PRIMARY KEY  (`rotatingPromosID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asSale`
--

CREATE TABLE IF NOT EXISTS `asSale` (
  `saleID` bigint(20) NOT NULL auto_increment,
  `createDate` date NOT NULL default '0000-00-00',
  `userIP` varchar(20) NOT NULL default '',
  `userBrowser` varchar(150) NOT NULL default '',
  `userCountry` varchar(4) NOT NULL default '',
  `promoUrl` varchar(150) NOT NULL default '',
  `sysTime` time NOT NULL default '00:00:00',
  `landingPage` varchar(150) NOT NULL default '',
  `refCustomerID` varchar(255) NOT NULL default '0',
  `refOrderID` varchar(255) NOT NULL default '0',
  `customerFirstName` varchar(50) NOT NULL default '',
  `customerLastName` varchar(50) NOT NULL default '',
  `customerEmail` varchar(150) NOT NULL default '',
  `saleAmount` decimal(10,2) NOT NULL default '0.00',
  `saleDescription` varchar(255) NOT NULL default '',
  `merchantProductID` bigint(20) NOT NULL,
  `merchantID` bigint(20) NOT NULL default '0',
  `affiliateID` bigint(20) NOT NULL default '0',
  `affiliateID_t2` bigint(20) NOT NULL default '0',
  `affiliateID_t3` bigint(20) NOT NULL default '0',
  `merchantPromoID` bigint(20) NOT NULL default '0',
  `repeatFlag` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`saleID`),
  UNIQUE KEY `merchantID` (`merchantID`,`refOrderID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asSaleData`
--

CREATE TABLE IF NOT EXISTS `asSaleData` (
  `saleID` bigint(20) NOT NULL auto_increment,
  `createDate` date NOT NULL default '0000-00-00',
  `userIP` varchar(20) NOT NULL default '',
  `userBrowser` varchar(150) NOT NULL default '',
  `userCountry` varchar(4) NOT NULL default '',
  `promoUrl` varchar(150) NOT NULL default '',
  `sysTime` time NOT NULL default '00:00:00',
  `landingPage` varchar(150) NOT NULL default '',
  `refCustomerID` varchar(255) NOT NULL default '0',
  `refOrderID` varchar(255) NOT NULL default '0',
  `customerFirstName` varchar(50) NOT NULL default '',
  `customerLastName` varchar(50) NOT NULL default '',
  `customerEmail` varchar(150) NOT NULL default '',
  `saleAmount` decimal(10,2) NOT NULL default '0.00',
  `saleDescription` varchar(255) NOT NULL default '',
  `merchantProductID` bigint(20) NOT NULL,
  `merchantID` bigint(20) NOT NULL default '0',
  `affiliateID` bigint(20) NOT NULL default '0',
  `affiliateID_t2` bigint(20) NOT NULL default '0',
  `affiliateID_t3` bigint(20) NOT NULL default '0',
  `merchantPromoID` bigint(20) NOT NULL default '0',
  `repeatFlag` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`saleID`),
  UNIQUE KEY `refOrderID` (`refOrderID`,`merchantID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asSearchCriteria`
--

CREATE TABLE IF NOT EXISTS `asSearchCriteria` (
  `searchCriteriaCode` varchar(10) NOT NULL default '',
  `title` varchar(150) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `asSearchOrderPreference`
--

CREATE TABLE IF NOT EXISTS `asSearchOrderPreference` (
  `searchOrderPreferenceCode` varchar(10) NOT NULL default '',
  `title` varchar(150) NOT NULL default '',
  `type` varchar(4) NOT NULL default '',
  `listingPosition` int(11) NOT NULL,
  PRIMARY KEY  (`searchOrderPreferenceCode`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsBlock`
--

CREATE TABLE IF NOT EXISTS `cmsBlock` (
  `blockID` bigint(20) NOT NULL auto_increment,
  `blockCode` varchar(130) NOT NULL,
  `title` varchar(100) NOT NULL,
  `content` longtext NOT NULL,
  `noDelete` tinyint(1) NOT NULL,
  PRIMARY KEY  (`blockID`),
  UNIQUE KEY `blockCode` (`blockCode`),
  UNIQUE KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsCustomThemeColor`
--

CREATE TABLE IF NOT EXISTS `cmsCustomThemeColor` (
  `customThemeColorID` bigint(20) NOT NULL auto_increment,
  `colorVar` varchar(30) NOT NULL,
  `colorCode` varchar(11) NOT NULL,
  `defaultColorCode` varchar(11) NOT NULL,
  PRIMARY KEY  (`customThemeColorID`),
  UNIQUE KEY `colorKey` (`colorVar`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsFaq`
--

CREATE TABLE IF NOT EXISTS `cmsFaq` (
  `faqID` bigint(20) NOT NULL auto_increment,
  `question` varchar(255) NOT NULL,
  `answer` text NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  `listingPosition` int(10) default NULL,
  PRIMARY KEY  (`faqID`),
  UNIQUE KEY `question` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsLangContent`
--

CREATE TABLE IF NOT EXISTS `cmsLangContent` (
  `langContentID` int(11) NOT NULL,
  `langCode` varchar(2) NOT NULL,
  `refTableName` varchar(50) NOT NULL,
  `refPKName` varchar(50) NOT NULL,
  `refPKValue` varchar(50) NOT NULL,
  `refFieldName` varchar(20) NOT NULL,
  `refFieldValue` text NOT NULL,
  PRIMARY KEY  (`langContentID`),
  UNIQUE KEY `langCode_2` (`langCode`,`refTableName`,`refPKName`,`refPKValue`,`refFieldName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsMail`
--

CREATE TABLE IF NOT EXISTS `cmsMail` (
  `mailID` int(11) NOT NULL auto_increment,
  `title` varchar(150) NOT NULL,
  `mailCode` varchar(100) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `emailFormatOptionID` bigint(20) NOT NULL,
  `fromName` varchar(150) default NULL,
  `replyTo` varchar(150) NOT NULL,
  `toEmail` varchar(150) default NULL,
  `cc` varchar(150) default NULL,
  `bcc` varchar(150) default NULL,
  `varList` text,
  `active` tinyint(1) NOT NULL default '1',
  `note` text,
  PRIMARY KEY  (`mailID`),
  UNIQUE KEY `mailCode` (`mailCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsMailSent`
--

CREATE TABLE IF NOT EXISTS `cmsMailSent` (
  `mailSentID` bigint(20) NOT NULL auto_increment,
  `mailID` bigint(20) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `fromEmail` varchar(200) NOT NULL,
  `toEmail` varchar(200) NOT NULL,
  `cc` varchar(200) NOT NULL,
  `bcc` varchar(200) NOT NULL,
  `message` text NOT NULL,
  `createDate` datetime NOT NULL,
  `accessCode` varchar(150) NOT NULL,
  PRIMARY KEY  (`mailSentID`),
  UNIQUE KEY `accessCode` (`accessCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsMenu`
--

CREATE TABLE IF NOT EXISTS `cmsMenu` (
  `menuID` bigint(20) NOT NULL,
  `title` varchar(100) NOT NULL default '',
  `tips` varchar(255) NOT NULL,
  `parentID` bigint(20) NOT NULL default '0',
  `menuCode` varchar(40) default NULL,
  `listingPosition` decimal(11,1) default NULL,
  `linkUrl` varchar(200) NOT NULL,
  `hashLinkPart` varchar(50) NOT NULL,
  `optionID` int(11) NOT NULL,
  `onclick` varchar(100) NOT NULL,
  `onmouseover` varchar(100) NOT NULL,
  `onmouseout` varchar(100) NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  `noDelete` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`menuID`),
  UNIQUE KEY `title` (`title`,`parentID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsMessage`
--

CREATE TABLE IF NOT EXISTS `cmsMessage` (
  `messageID` bigint(20) NOT NULL auto_increment,
  `messageCode` varchar(100) NOT NULL,
  `content` varchar(255) NOT NULL,
  `messageType` varchar(10) NOT NULL,
  `note` varchar(255) NOT NULL,
  PRIMARY KEY  (`messageID`),
  UNIQUE KEY `messageCode` (`messageCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsOption`
--

CREATE TABLE IF NOT EXISTS `cmsOption` (
  `optionID` bigint(20) NOT NULL auto_increment,
  `optionTypeID` bigint(20) NOT NULL,
  `title` varchar(255) NOT NULL,
  `valueCode` varchar(150) default NULL,
  `other` varchar(255) NOT NULL,
  PRIMARY KEY  (`optionID`),
  UNIQUE KEY `optionTypeID` (`optionTypeID`,`title`),
  UNIQUE KEY `optionTypeID_2` (`optionTypeID`,`valueCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsOptionType`
--

CREATE TABLE IF NOT EXISTS `cmsOptionType` (
  `optionTypeID` bigint(20) NOT NULL auto_increment,
  `optionTypeCode` varchar(50) NOT NULL,
  `title` varchar(100) NOT NULL,
  `note` varchar(255) NOT NULL,
  PRIMARY KEY  (`optionTypeID`),
  UNIQUE KEY `typeCode` (`optionTypeCode`),
  UNIQUE KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `cmsText`
--

CREATE TABLE IF NOT EXISTS `cmsText` (
  `textID` bigint(20) NOT NULL auto_increment,
  `textCode` varchar(100) NOT NULL,
  `content` varchar(255) NOT NULL,
  `note` varchar(255) NOT NULL,
  PRIMARY KEY  (`textID`),
  UNIQUE KEY `textCode` (`textCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `fwFirewallRule`
--

CREATE TABLE IF NOT EXISTS `fwFirewallRule` (
  `firewallRuleID` bigint(20) NOT NULL auto_increment,
  `websiteAreaID` bigint(20) NOT NULL,
  `permissionFlag` varchar(10) NOT NULL,
  `name` varchar(255) NOT NULL,
  `ruleType` varchar(20) NOT NULL,
  `ip` varchar(255) NOT NULL,
  `userAgent` varchar(255) NOT NULL,
  `httpReferer` varchar(255) NOT NULL,
  `createDate` datetime NOT NULL,
  PRIMARY KEY  (`firewallRuleID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `fwWebsiteArea`
--

CREATE TABLE IF NOT EXISTS `fwWebsiteArea` (
  `websiteAreaID` bigint(20) NOT NULL auto_increment,
  `websiteAreaCode` varchar(50) NOT NULL,
  `title` varchar(50) NOT NULL,
  `systemFlag` tinyint(1) NOT NULL,
  `checkReferer` tinyint(1) NOT NULL,
  `checkUserAgent` tinyint(1) NOT NULL,
  `defaultPermissionFlag` enum('A','B') NOT NULL,
  PRIMARY KEY  (`websiteAreaID`),
  UNIQUE KEY `websiteAreaCode` (`websiteAreaCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `hlpHelpTips`
--

CREATE TABLE IF NOT EXISTS `hlpHelpTips` (
  `helpTipsID` bigint(20) NOT NULL auto_increment,
  `helpTipsCode` varchar(60) default NULL,
  `title` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  PRIMARY KEY  (`helpTipsID`),
  UNIQUE KEY `helpTipsCode` (`helpTipsCode`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsBounce`
--

CREATE TABLE IF NOT EXISTS `nsBounce` (
  `bounceID` bigint(20) NOT NULL auto_increment,
  `senderEmail` varchar(150) NOT NULL default '',
  `senderMessageID` bigint(20) NOT NULL default '0',
  `recipientEmail` varchar(150) default NULL,
  `newsletterID` bigint(20) default NULL,
  `senderID` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`bounceID`),
  UNIQUE KEY `senderMessage` (`senderEmail`,`senderMessageID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsList`
--

CREATE TABLE IF NOT EXISTS `nsList` (
  `listID` bigint(20) NOT NULL auto_increment,
  `listName` varchar(155) default NULL,
  `senderID` bigint(20) NOT NULL default '1',
  `removed` tinyint(1) NOT NULL default '0',
  `listType` enum('external','internal') default 'external',
  `refTableName` varchar(150) NOT NULL,
  `sqlQuery` text NOT NULL,
  `sourceInfo` text NOT NULL,
  PRIMARY KEY  (`listID`),
  UNIQUE KEY `listName` (`listName`,`senderID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsListToSend`
--

CREATE TABLE IF NOT EXISTS `nsListToSend` (
  `listToSendID` bigint(20) NOT NULL auto_increment,
  `listID` bigint(20) NOT NULL default '0',
  `newsletterID` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`listToSendID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsNewsletter`
--

CREATE TABLE IF NOT EXISTS `nsNewsletter` (
  `newsletterID` bigint(20) NOT NULL default '0',
  `newsletterName` varchar(50) NOT NULL default '',
  `format` varchar(20) NOT NULL default '',
  `createDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `fromPerson` varchar(50) default NULL,
  `fromEmail` varchar(150) NOT NULL default '',
  `subject` varchar(255) NOT NULL default '',
  `body` longtext,
  `additionalText` text NOT NULL,
  `sendDate` date NOT NULL default '0000-00-00',
  `status` tinyint(1) NOT NULL default '0',
  `senderID` bigint(20) NOT NULL default '0',
  `sentTotal` int(12) NOT NULL default '0',
  `readTotal` int(11) NOT NULL default '0',
  `clickTotal` int(11) NOT NULL default '0',
  `bounceTotal` int(12) NOT NULL default '0',
  PRIMARY KEY  (`newsletterID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsNewsletterPublished`
--

CREATE TABLE IF NOT EXISTS `nsNewsletterPublished` (
  `newsletterPublishedID` bigint(20) NOT NULL auto_increment,
  `newsletterID` bigint(20) NOT NULL default '0',
  `sendDate` date NOT NULL default '0000-00-00',
  `senderID` bigint(20) NOT NULL default '0',
  `confirmed` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`newsletterPublishedID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsNewsletterSent`
--

CREATE TABLE IF NOT EXISTS `nsNewsletterSent` (
  `newsletterSentID` bigint(20) NOT NULL auto_increment,
  `recipientID` bigint(20) NOT NULL default '0',
  `newsletterID` bigint(20) NOT NULL default '0',
  `email` varchar(200) NOT NULL,
  `sentDate` date default '0000-00-00',
  `isRead` tinyint(4) NOT NULL default '0',
  `isClicked` tinyint(4) NOT NULL default '0',
  `isBounced` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`newsletterSentID`),
  KEY `recepientID` (`recipientID`),
  KEY `newsletterID` (`newsletterID`),
  KEY `email` (`email`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsNewsletterSentDelated`
--

CREATE TABLE IF NOT EXISTS `nsNewsletterSentDelated` (
  `newsletterSentDeletedID` bigint(20) NOT NULL auto_increment,
  `newsletterID` bigint(20) NOT NULL,
  `totalSent` bigint(20) NOT NULL,
  `totalRead` tinyint(1) NOT NULL,
  PRIMARY KEY  (`newsletterSentDeletedID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsRecipient`
--

CREATE TABLE IF NOT EXISTS `nsRecipient` (
  `recipientID` bigint(20) NOT NULL auto_increment,
  `email` varchar(255) NOT NULL,
  `firstName` varchar(50) NOT NULL default '',
  `lastName` varchar(50) default NULL,
  `sex` char(1) NOT NULL,
  `dob` date NOT NULL,
  `phone` varchar(20) NOT NULL,
  `mobile` varchar(20) NOT NULL,
  `address` varchar(255) NOT NULL,
  `countryCode` varchar(10) NOT NULL,
  `city` varchar(100) NOT NULL,
  `zip` varchar(20) NOT NULL,
  `company` varchar(150) NOT NULL,
  `siteUrl` varchar(150) NOT NULL,
  `createDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `listID` bigint(20) NOT NULL default '0',
  `lastRead` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`recipientID`),
  KEY `listID` (`listID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsRecipientExclude`
--

CREATE TABLE IF NOT EXISTS `nsRecipientExclude` (
  `recipientExcludeID` bigint(20) NOT NULL auto_increment,
  `recipientID` bigint(20) NOT NULL,
  `email` varchar(50) NOT NULL,
  `newsletterID` bigint(20) NOT NULL,
  PRIMARY KEY  (`recipientExcludeID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsRecipientProxy`
--

CREATE TABLE IF NOT EXISTS `nsRecipientProxy` (
  `firstName` varchar(50) NOT NULL default '',
  `lastName` varchar(50) NOT NULL default '',
  `email` varchar(150) NOT NULL default '',
  `recipientID` bigint(20) NOT NULL default '0',
  `newsletterID` bigint(20) NOT NULL default '0',
  `senderID` bigint(20) NOT NULL default '0',
  `allowToSend` tinyint(1) default '1',
  `userID` bigint(20) NOT NULL default '0',
  `userName` varchar(150) NOT NULL default '',
  `password` varchar(150) NOT NULL default '',
  `userGroupID` int(4) NOT NULL default '0',
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsRecipient_wip`
--

CREATE TABLE IF NOT EXISTS `nsRecipient_wip` (
  `firstName` varchar(50) NOT NULL default '',
  `lastName` varchar(50) NOT NULL default '',
  `email` varchar(150) NOT NULL default '',
  `recipientID` bigint(20) NOT NULL default '0',
  `newsletterID` bigint(20) NOT NULL default '0',
  `senderID` bigint(20) NOT NULL default '0',
  `userID` bigint(20) NOT NULL default '0',
  `userName` varchar(150) NOT NULL default '',
  `password` varchar(150) NOT NULL default '',
  `userGroupID` int(4) NOT NULL default '0',
  UNIQUE KEY `email` (`email`,`newsletterID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsRecipient_wip2`
--

CREATE TABLE IF NOT EXISTS `nsRecipient_wip2` (
  `firstName` varchar(50) NOT NULL default '',
  `lastName` varchar(50) NOT NULL default '',
  `email` varchar(150) NOT NULL default '',
  `recipientID` bigint(20) NOT NULL auto_increment,
  `newsletterID` bigint(20) NOT NULL default '0',
  `body` longtext,
  `subject` varchar(255) default NULL,
  `header` varchar(255) default NULL,
  `userID` bigint(20) NOT NULL default '0',
  `userName` varchar(150) NOT NULL default '',
  `password` varchar(150) NOT NULL default '',
  `userGroupID` int(4) NOT NULL default '0',
  PRIMARY KEY  (`recipientID`),
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsRecipient_wip3`
--

CREATE TABLE IF NOT EXISTS `nsRecipient_wip3` (
  `recipientID` bigint(20) NOT NULL default '0',
  `email` varchar(150) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsSender`
--

CREATE TABLE IF NOT EXISTS `nsSender` (
  `senderID` bigint(20) NOT NULL default '0',
  `refTableName` varchar(150) NOT NULL,
  `refFieldName` varchar(150) NOT NULL,
  `confID` bigint(20) NOT NULL default '0',
  `senderName` varchar(50) NOT NULL default '',
  `senderEmail` varchar(150) NOT NULL default '',
  `listModeFlag` tinyint(4) NOT NULL default '0',
  `multipleTemplateFlag` tinyint(4) NOT NULL,
  `cronFlag` tinyint(4) NOT NULL,
  `cronSchedule` int(11) NOT NULL,
  `qLength` bigint(20) NOT NULL default '100',
  `fileRowLength` bigint(20) NOT NULL default '100',
  `cleanSendData` bigint(20) NOT NULL,
  `fieldSeparater` int(11) NOT NULL,
  `noOfField` int(4) NOT NULL,
  `field1` varchar(20) NOT NULL,
  `field2` varchar(20) NOT NULL,
  `field3` varchar(20) NOT NULL,
  `field4` varchar(20) NOT NULL,
  `field5` varchar(20) NOT NULL,
  `field6` varchar(20) NOT NULL,
  `field7` varchar(20) NOT NULL,
  `field8` varchar(20) NOT NULL,
  `field9` varchar(20) NOT NULL,
  `field10` varchar(20) NOT NULL,
  `field11` varchar(20) NOT NULL,
  `field12` varchar(20) NOT NULL,
  `field13` varchar(20) NOT NULL,
  PRIMARY KEY  (`senderID`),
  UNIQUE KEY `senderID` (`senderID`,`confID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsSenderTemplate`
--

CREATE TABLE IF NOT EXISTS `nsSenderTemplate` (
  `senderTemplateID` bigint(20) NOT NULL default '0',
  `senderTemplateTitle` varchar(100) NOT NULL default '',
  `format` varchar(20) NOT NULL default '',
  `content` longtext NOT NULL,
  `senderID` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`senderTemplateID`),
  UNIQUE KEY `senderTemplateTitle` (`senderTemplateTitle`,`senderID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsSubscriber`
--

CREATE TABLE IF NOT EXISTS `nsSubscriber` (
  `subscriberID` bigint(20) NOT NULL auto_increment,
  `firstName` varchar(50) NOT NULL,
  `lastName` varchar(50) default NULL,
  `email` varchar(150) NOT NULL,
  `phone` varchar(50) NOT NULL,
  `listName` varchar(155) NOT NULL default 'Online list',
  `verified` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`subscriberID`),
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `nsUnSubscribeList`
--

CREATE TABLE IF NOT EXISTS `nsUnSubscribeList` (
  `unSubscribeID` bigint(20) NOT NULL auto_increment,
  `email` varchar(70) NOT NULL default '',
  `senderID` bigint(20) NOT NULL default '1',
  `sysDate` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`unSubscribeID`),
  KEY `email` (`email`),
  KEY `senderID` (`senderID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `pgCategory`
--

CREATE TABLE IF NOT EXISTS `pgCategory` (
  `ID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `categoryID` bigint(20) NOT NULL,
  `title` varchar(50) NOT NULL,
  `parentID` bigint(20) NOT NULL default '0',
  `active` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `categoryID` (`merchantID`,`categoryID`),
  KEY `title` (`merchantID`,`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `pgCategoryItem`
--

CREATE TABLE IF NOT EXISTS `pgCategoryItem` (
  `categoryItemID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `categoryID` bigint(20) NOT NULL,
  `itemID` bigint(20) NOT NULL,
  PRIMARY KEY  (`categoryItemID`),
  UNIQUE KEY `categoryID` (`merchantID`,`categoryID`,`itemID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `pgItem`
--

CREATE TABLE IF NOT EXISTS `pgItem` (
  `ID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `itemID` bigint(20) NOT NULL,
  `manufacturerID` bigint(20) NOT NULL,
  `title` varchar(100) NOT NULL,
  `description` varchar(255) NOT NULL,
  `price` double(10,2) NOT NULL,
  `sku` varchar(30) NOT NULL,
  `keyword` varchar(255) NOT NULL,
  `brand` varchar(50) NOT NULL,
  `model` varchar(50) NOT NULL,
  `imageUrl` varchar(255) NOT NULL,
  `active` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `itemID` (`merchantID`,`itemID`),
  UNIQUE KEY `manufacturerID` (`merchantID`,`manufacturerID`,`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `pgManufacturer`
--

CREATE TABLE IF NOT EXISTS `pgManufacturer` (
  `ID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `manufacturerID` bigint(20) NOT NULL,
  `title` varchar(50) NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `merchantID` (`merchantID`,`manufacturerID`),
  UNIQUE KEY `title` (`merchantID`,`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `pgProductGallery`
--

CREATE TABLE IF NOT EXISTS `pgProductGallery` (
  `productGalleryID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `affiliateID` bigint(20) NOT NULL,
  `title` varchar(100) NOT NULL,
  `merchantPromoID` bigint(20) NOT NULL,
  `createDate` datetime NOT NULL,
  `mainCategoryID` bigint(20) NOT NULL,
  `categoryID` bigint(20) NOT NULL,
  `manufacturerID` bigint(20) NOT NULL,
  `keyword` varchar(255) NOT NULL,
  `colCount` int(11) NOT NULL,
  `maxRows` int(11) NOT NULL,
  `manufacturerLike` varchar(30) NOT NULL,
  `itemID` int(11) NOT NULL,
  `itemCount` int(11) NOT NULL,
  `showProductTitle` tinyint(1) NOT NULL,
  `showManufacturerName` tinyint(1) NOT NULL,
  `showBuyButton` tinyint(1) NOT NULL,
  `colorBg` varchar(7) NOT NULL,
  `colorBorder` varchar(7) NOT NULL,
  `colorProductTitle` varchar(7) NOT NULL,
  `colorManufacturerName` varchar(7) NOT NULL,
  PRIMARY KEY  (`productGalleryID`),
  UNIQUE KEY `merchantID` (`merchantID`,`affiliateID`,`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `pgSettings`
--

CREATE TABLE IF NOT EXISTS `pgSettings` (
  `settingsID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `eCommerceSoftware` varchar(30) NOT NULL,
  `siteUrl` varchar(100) NOT NULL,
  `productPageFormat` varchar(150) NOT NULL,
  `productTerm` varchar(30) NOT NULL default 'Product',
  `productsTerm` varchar(30) NOT NULL,
  `manufacturerTerm` varchar(30) NOT NULL default 'Manufacturer',
  `imageWidth` int(11) NOT NULL default '80',
  `imageHeight` int(11) NOT NULL default '120',
  `btnBuyUrl` varchar(255) NOT NULL,
  `dbHost` varchar(150) NOT NULL,
  `dbUser` varchar(50) NOT NULL,
  `dbPass` varchar(50) NOT NULL,
  `dbName` varchar(30) NOT NULL,
  `dbPrefix` varchar(30) NOT NULL,
  `colorBg` varchar(7) NOT NULL,
  `colorBorder` varchar(7) NOT NULL,
  `colorProductTitle` varchar(7) NOT NULL,
  `colorManufacturerName` varchar(7) NOT NULL,
  `active` tinyint(1) NOT NULL default '0',
  `dateLastSynch` datetime NOT NULL,
  PRIMARY KEY  (`settingsID`),
  UNIQUE KEY `merchantID` (`merchantID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `tktTicket`
--

CREATE TABLE IF NOT EXISTS `tktTicket` (
  `ticketID` int(11) NOT NULL auto_increment,
  `confID` bigint(20) NOT NULL,
  `ownerID` bigint(20) NOT NULL,
  `refUserTable` varchar(50) NOT NULL,
  `subject` varchar(50) NOT NULL,
  `status` enum('open','closed','cancelled') NOT NULL,
  `ticketCategoryID` int(11) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `dateLastPosted` datetime NOT NULL,
  `isFavourite` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`ticketID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `tktTicketCategory`
--

CREATE TABLE IF NOT EXISTS `tktTicketCategory` (
  `ticketCategoryID` int(11) NOT NULL auto_increment,
  `title` varchar(50) NOT NULL,
  `listingOrder` tinyint(4) NOT NULL default '10',
  PRIMARY KEY  (`ticketCategoryID`),
  UNIQUE KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

-- --------------------------------------------------------

--
-- Table structure for table `tktTicketPost`
--

CREATE TABLE IF NOT EXISTS `tktTicketPost` (
  `ticketPostID` int(11) NOT NULL auto_increment,
  `ticketID` int(11) NOT NULL,
  `userID` int(11) NOT NULL,
  `refUserTable` varchar(50) NOT NULL,
  `datePosted` datetime NOT NULL,
  `message` text NOT NULL,
  `fileName` varchar(100) default NULL,
  PRIMARY KEY  (`ticketPostID`),
  UNIQUE KEY `fileName` (`fileName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1##sql##
