CREATE TABLE IF NOT EXISTS `asApiDomain` (
  `apiDomainID` int(11) NOT NULL auto_increment,
  `confID` int(11) NOT NULL,
  `domain` varchar(100) NOT NULL,
  PRIMARY KEY  (`apiDomainID`),
  UNIQUE KEY `domain` (`confID`,`domain`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1##sql##

CREATE TABLE IF NOT EXISTS `pgCategory` (
  `ID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `categoryID` bigint(20) NOT NULL,
  `title` varchar(50) NOT NULL,
  `parentID` bigint(20) NOT NULL default '0',
  `active` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `categoryID` (`merchantID`,`categoryID`),
  KEY `title` (`merchantID`,`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

CREATE TABLE IF NOT EXISTS `pgCategoryItem` (
  `categoryItemID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `categoryID` bigint(20) NOT NULL,
  `itemID` bigint(20) NOT NULL,
  PRIMARY KEY  (`categoryItemID`),
  UNIQUE KEY `categoryID` (`merchantID`,`categoryID`,`itemID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

CREATE TABLE IF NOT EXISTS `pgItem` (
  `ID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `itemID` bigint(20) NOT NULL,
  `manufacturerID` bigint(20) NOT NULL,
  `title` varchar(100) NOT NULL,
  `description` varchar(255) NOT NULL,
  `price` double(10,2) NOT NULL,
  `sku` varchar(30) NOT NULL,
  `keyword` varchar(255) NOT NULL,
  `brand` varchar(50) NOT NULL,
  `model` varchar(50) NOT NULL,
  `imageUrl` varchar(255) NOT NULL,
  `active` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `itemID` (`merchantID`,`itemID`),
  UNIQUE KEY `manufacturerID` (`merchantID`,`manufacturerID`,`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

CREATE TABLE IF NOT EXISTS `pgManufacturer` (
  `ID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `manufacturerID` bigint(20) NOT NULL,
  `title` varchar(50) NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `merchantID` (`merchantID`,`manufacturerID`),
  UNIQUE KEY `title` (`merchantID`,`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

CREATE TABLE IF NOT EXISTS `pgProductGallery` (
  `productGalleryID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `affiliateID` bigint(20) NOT NULL,
  `title` varchar(100) NOT NULL,
  `merchantPromoID` bigint(20) NOT NULL,
  `createDate` datetime NOT NULL,
  `mainCategoryID` bigint(20) NOT NULL,
  `categoryID` bigint(20) NOT NULL,
  `manufacturerID` bigint(20) NOT NULL,
  `keyword` varchar(255) NOT NULL,
  `colCount` int(11) NOT NULL,
  `maxRows` int(11) NOT NULL,
  `manufacturerLike` varchar(30) NOT NULL,
  `itemID` int(11) NOT NULL,
  `itemCount` int(11) NOT NULL,
  `showProductTitle` tinyint(1) NOT NULL,
  `showManufacturerName` tinyint(1) NOT NULL,
  `showBuyButton` tinyint(1) NOT NULL,
  `colorBg` varchar(7) NOT NULL,
  `colorBorder` varchar(7) NOT NULL,
  `colorProductTitle` varchar(7) NOT NULL,
  `colorManufacturerName` varchar(7) NOT NULL,
  PRIMARY KEY  (`productGalleryID`),
  UNIQUE KEY `merchantID` (`merchantID`,`affiliateID`,`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

CREATE TABLE IF NOT EXISTS `pgSettings` (
  `settingsID` bigint(20) NOT NULL auto_increment,
  `merchantID` bigint(20) NOT NULL,
  `eCommerceSoftware` varchar(30) NOT NULL,
  `siteUrl` varchar(100) NOT NULL,
  `productPageFormat` varchar(150) NOT NULL,
  `productTerm` varchar(30) NOT NULL default 'Product',
  `productsTerm` varchar(30) NOT NULL,
  `manufacturerTerm` varchar(30) NOT NULL default 'Manufacturer',
  `imageWidth` int(11) NOT NULL default '80',
  `imageHeight` int(11) NOT NULL default '120',
  `btnBuyUrl` varchar(255) NOT NULL,
  `dbHost` varchar(150) NOT NULL,
  `dbUser` varchar(50) NOT NULL,
  `dbPass` varchar(50) NOT NULL,
  `dbName` varchar(30) NOT NULL,
  `dbPrefix` varchar(30) NOT NULL,
  `colorBg` varchar(7) NOT NULL,
  `colorBorder` varchar(7) NOT NULL,
  `colorProductTitle` varchar(7) NOT NULL,
  `colorManufacturerName` varchar(7) NOT NULL,
  `active` tinyint(1) NOT NULL default '0',
  `dateLastSynch` datetime NOT NULL,
  PRIMARY KEY  (`settingsID`),
  UNIQUE KEY `merchantID` (`merchantID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##

CREATE TABLE IF NOT EXISTS `cmsCustomThemeColor` (
  `customThemeColorID` bigint(20) NOT NULL auto_increment,
  `colorVar` varchar(30) NOT NULL,
  `colorCode` varchar(11) NOT NULL,
  `defaultColorCode` varchar(11) NOT NULL,
  PRIMARY KEY  (`customThemeColorID`),
  UNIQUE KEY `colorKey` (`colorVar`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1##sql##